Introduction to MapInfo ProViewer

MapInfo Corporation

Introduction to
MapInfo ProViewer

Welcome!

Congratulations on your choice of MapInfo ProViewer, the easy way to see, print, and share electronic desktop maps. This convenient map viewer opens MapInfo tables created using MapInfo products such as MapInfo Professional, MapX, or MapXtreme and displays them in Map and Browser windows. It also opens MapInfo workspaces and recreates Map, Browser, Graph, and Layout windows exactly as they were created in MapInfo Professional. Using this product you can display and print maps and workspaces created in any version of the MapInfo product line.

The purpose of this chapter is to familiarize you with the basics of MapInfo ProViewer and provide resources for you to become familiar with it. You can also get installation assistance from MapInfo Technical Support, if necessary, using information in this document.

  • Installing MapInfo ProViewer
  • What's New in MapInfo ProViewer 9.0?
  • Displaying a Map in MapInfo ProViewer
  • Understanding the ProViewer Toolbar
  • A Brief Tour of the World.wor Workspace
  • Getting Online Help
  • Getting Technical Support
  • Want to do MORE?
  • Understanding ProViewer
© 2007 MapInfo Corporation. All rights reserved.
Email: documentation@mapinfo.com


Installing MapInfo ProViewer

To install MapInfo ProViewer:

  1. Click the Start button and click Run and type or browse to the ProViewer setup.exe file. Click the OK button to begin the installation. The Welcome screen displays.
  2. Click Next to continue to the License Agreement dialog box.
  3. Click I accept the Terms and click Next to display the Customer Information dialog box. Complete these fields with appropriate entries to continue.
  4. Click Next to display the Destination Folder dialog box.
  5. In this dialog box, click Next to accept the default path or click Change to select a new path. The Ready to Install dialog box displays.
  6. Click Install to begin the file transfer. The Installing dialog box displays.
  7. You are prompted to display the readme document. Click OK to view the readme; click Cancel to end. The InstallShield Wizard Completed dialog box displays.
  8. Click Finish to complete the installation of MapInfo ProViewer.


What's New in MapInfo ProViewer 9.0?

This section contains information about the new features of ProViewer 9.0. Please note that due to the extensive additions to the MapInfo maps and layout features, .TAB files and .WOR files created in MapInfo Professional 9.0 cannot be displayed using the ProViewer 8.5 product. These are the new features you may see in your 9.0 maps:

    • Curved Labels Improve the Look of Your Maps
    • New Data Sources May Display in Version 9.0 Maps
    • Time and Date Time Data may Display in Version 9.0 Maps
    • Using the Find Command in Remote Tables
    • Multiple HotLink Capability Added
    • Homeland Security Fonts Added
    • New Projections and Coordinate System Supported

Features Added in Previous Versions of ProViewer


Curved Labels Improve the Look of Your Maps

We added curved labels as a new feature in MapInfo Professional 9.0. Curved labels are labels that follow the curve of streets, rivers and other linear map features as shown in the next figure. Maps created with curved labels can be displayed in ProViewer and older maps can be modified in MapInfo Professional 9.0 to display this new functionality. However, older maps do not display this feature automatically and you cannot use ProViewer to display curved labels if the map has not been created using this feature. If you open a map with curved labels in an older version of ProViewer, you will get an error.

Here there are curved labels on the Streets, Railroads, and WaterRivers layers.

New Data Sources May Display in Version 9.0 Maps

Time and Date Time Data may Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Multiple HotLink Capability Added

Homeland Security Fonts Added

New Projections and Coordinate System Supported

Features Added in Previous Versions of ProViewer


New Data Sources May Display in Version 9.0 Maps

In MapInfo Professional version 9.0 MapInfo has partnered with a third-party vendor named Safe Software and incorporated some of their Feature Manipulation Engine (FME) technology. This gives MapInfo Professional 9.0 users more flexibility in creating maps using the following data sources:

  • ESRI ArcSDE
  • ESRI Personal Geodatabase (*.MDB)
  • AutoCAD.DWG/DXF
  • Microstation Design (*.DGN)
  • ESRI ArcInfo Export (*.E00)
  • USGS Spatial Data Transfer Standard (*.CATD.DDF)
  • VPF NIMA/NGA (*.FT)

If your map creators have used these data sources to create your map, and you have the FME product, layers with this data display in ProViewer. You cannot open these datasets by themselves directly using ProViewer.

Note : If you try to open some new .tab files or workspaces that contain some of the extended formats that are available with the full FME product, you may get an unlicensed format-related error if you do not have the full FME product yourself.

If you own the full FME product, you can extend ProViewer to display these files. To display more universal data source formats in MapInfo ProViewer:

  1. Choose Start > All Programs > FME > FME Administrator to display the FME Administrator dialog box.
  2. To extend ProViewer, highlight it in the list and click Extend. The results display as in the next figure.

  3. Click Close to close the FME Administrator.

A Note about Displaying ESRI Data Source Datasets

To display ArcSDE and Personal Geodatabase dataset layers, MapInfo ProViewer must have access to an ArcGIS desktop application such as ArcView®, ArcEditor®, ArcInfo® version 8 or greater or the ArcGIS engine and specifically the following client dynamically linked libraries (DLLs):

    • sde.dll
    • sg.dll
    • pe.dll

These libraries are installed with the ArcGIS 9.2 desktop application, the ArcSDE SDK 9.2 or ArcReader 9.2 and they are present if you have installed ArcView® 9.2, ArcEditor® 9.2, or ArcInfo® 9.2. For more information about ArcGIS Desktop applications and the ArcSDE SDK, refer to the appropriate ESRI documentation.

Note : You can download these DLLs for free from this web address:

http://www.esri.com/software/arcgis/arcreader/

To help ProViewer find these DLLs, it is important to set the PATH environment variable in your system settings to reference the local folder that contains these DLLs. For example, if you have ArcGIS 9.2 Desktop installed to:

C:\Program Files\ArcGIS

then the following directory should contain the ArcSDE 9.2 client libraries, and this directory needs to be added to your PATH:

C:\Program Files\ArcGIS\ArcSDE\bin.

Similarly, if the ArcSDE SDK 9.2 is installed to the default location, then the required ArcSDE 9.2 client libraries should be in the following directory, which needs to be added to your PATH:

C:\ArcGis\ArcSDE\bin.

If you do not adhere to this path configuration, the ArcSDE and Personal Geodatabase layer data cannot display.

Curved Labels Improve the Look of Your Maps

Time and Date Time Data may Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Multiple HotLink Capability Added

Homeland Security Fonts Added

New Projections and Coordinate System Supported

Features Added in Previous Versions of ProViewer


Time and Date Time Data may Display in Version 9.0 Maps

If your organization maintains time- or date and time-specific data, your map creators may use a new time and date time functionality to display this information in your thematic maps. Using this new feature your new maps can display time-sensitive data thematically. These maps are useful for many types of projects, such as to display crime information based on date and time or to post schedules based on resource availability on a particular date. You cannot change this data in any way, but you can see the effects of this new functionality in your MapInfo 9.0 maps.

Maps created in previous versions of MapInfo Professional can be updated to display this information, but ProViewer does not display this information automatically.

Curved Labels Improve the Look of Your Maps

New Data Sources May Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Multiple HotLink Capability Added

Homeland Security Fonts Added

New Projections and Coordinate System Supported


Using the Find Command in Remote Tables

The Find command (Select > Find) is available for linked remote tables, regardless of whether they are indexed. Neither the table nor a column in the table needs to be indexed for the Find command to be available.

If the selected column in the search table does not have an index, an index will be created when you click OK in the Find dialog box. For native tables and linked remote tables, this newly created index is permanent.

Curved Labels Improve the Look of Your Maps

New Data Sources May Display in Version 9.0 Maps

Time and Date Time Data may Display in Version 9.0 Maps

Multiple HotLink Capability Added

Homeland Security Fonts Added

New Projections and Coordinate System Supported


Multiple HotLink Capability Added

We added the ability to access more than one HotLink definition per map object. When you click a map object with multiple HotLinks, a list of options are displayed, which allows you to access different types of content for a single map object.

For example:

  • Your Web site
  • Product or Service Documents
  • Applications
  • Flash Demonstrations
  • Anything you can open with a mouse click or double-click

For example, if your map creator added HotLink access to your web site, product information, and a tutorial, you could click the map object and display a list of options as in the next figure.

Curved Labels Improve the Look of Your Maps

New Data Sources May Display in Version 9.0 Maps

Time and Date Time Data may Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Homeland Security Fonts Added

New Projections and Coordinate System Supported


Homeland Security Fonts Added

Your map creators now have access to new standard fonts prepared by the Office of Homeland Security. These fonts were developed to standardize the way emergency circumstances and industries are depicted in maps. Specifically the new symbols are:

  • Incidents - These fonts show various hazardous circumstances such as fires, police activity, and other dangers.
  • Infrastructures Stage 01 - 04 - These fonts show various industrial environments including farms, factories, financial businesses etc. in a wide variety of complex frames to indicate severity
  • Natural Events - These fonts show areas of natural disasters such as hurricanes, tsunamis, volcanoes and other natural events
  • Operations Stage 01 - 04 - These fonts show various emergency circumstance symbols such as ambulances, biohazard, and Red Cross-type symbols in a wide variety of complex frames to indicate severity

Curved Labels Improve the Look of Your Maps

New Data Sources May Display in Version 9.0 Maps

Time and Date Time Data may Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Multiple HotLink Capability Added

New Projections and Coordinate System Supported

Features Added in Previous Versions of ProViewer


New Projections and Coordinate System Supported

Added Bosnia-Herzegovina Coordinate Systems. We have added the following projections:

    • Bosnia-Herzegovina (Zone 5)
    • Bosnia-Herzegovina (Zone 6)
    • Bosnia-Herzegovina (Zone 7)

Added Luxembourg Projections. We have added the Luxembourg 1930 / Gauss\p2169 Luxembourg projection.

Added S-JTSK (KROVAK) Coordinate System. We have added a new S-JTSK projection to serve the Czech Republic and Slovakia. We have added using new Projection #32 and new Datum #1020.

Added Swedish Coordinate System. We have added the ST 74 projection.

Updated EPSG Aliases for Swedish Coordinate Systems. We have added two new EPSG aliases for Swedish coordinate systems to the PRJ file to maintain consistency with the latest update to MapXtreme:

    • EPSG:2326
    • EPSG:3152

Updated Hong Kong EPSG Code. We have added the Hong Kong 1980 Grid System\p2326 EPSG code entry.

Updated Australian Victorian Coordinate System. We have added the following Australian bounded projections:

    • VIC VicGrid66 (AGD 66)
    • VIC VicGrid94 (GDA 94)
    • VIC AMG Zone 54 (AGD 66)
    • VIC AMG Zone 55 (AGD 66)
    • VIC MGA Zone 54 (GDA 94)
    • VIC MGA Zone 55 (GDA 94)
    • VIC Longitude/Latitude (AGD 66)
    • VIC Longitude/Latitude (GDA 94)

Updated Danish Coordinate System Entries. We have added the following Danish projections:

    • UTM Zone 32 Euref89\p25832
    • UTM Zone 33 Euref89\p25833
    • UTM Zone 32 (ED 50)\p23032
    • UTM Zone 33 (ED 50)\p23033
    • System 34 Jylland-Fyn\p34003
    • System 34 Sjaelland\p34005
    • System 45 Bornholm\p45001
    • KP2000 Jylland-Fyn\p18401
    • KP2000 Sjaelland\p18402
    • KP2000 Bornholm\p18403

Curved Labels Improve the Look of Your Maps

New Data Sources May Display in Version 9.0 Maps

Time and Date Time Data may Display in Version 9.0 Maps

Using the Find Command in Remote Tables

Multiple HotLink Capability Added

Homeland Security Fonts Added

Features Added in Previous Versions of ProViewer


Features Added in Previous Versions of ProViewer

This section provides a history of the previous changes to the ProViewer product.


New in ProViewer 8.5

More Room on the Status Bar. We have enlarged the Status Bar cursor location and file name fields to ensure that this information is more readable. We have also simplified the coordinate entry to display in decimal degrees.

Printing Large Images Improved. Customers printing large images (such as destination page size D, E, or A0) previously reported problems using MapInfo ProViewer. Some of the printing problems stemmed from a 28,000 pixel limitation that we have addressed in this version of MapInfo Professional. MapInfo no longer supports the Windows 95 or 98 operating systems, which allowed us to remove this restriction.

Better Support for GRD Files. MapInfo Professional 8.5 added a new preference that allows you to display Vertical Mapper GRD maps as grid files and not as raster files. Vertical Mapper creates GRD\TAB files that display using the raster handler. The new preference contains a Grid option, so you can view Info tool information about 3D GRD maps.

Raster Image Reprojection Enhanced. In MapInfo Professional, we added automatic image reprojection for registered raster data such as satellite and aerial photo images, scanned maps, grids, seamless tables and WMS data. Previously, map professionals were restricted to reprojecting the vector maps. You are now able to view maps created using this feature.

AirPhoto Raster Handler Upgraded. We have incorporated the latest AirPhoto Raster Handler 4.23 into the 8.5 release of MapInfo Professional. You are now able to review map files created with this new AirPhoto format.

Coordinate System Enhancements. The following are the coordinate system enhancements for this version:

  • ETRS-based Coordinate Systems Added. We have added the following ETRS-based projections to our PRJ file: Transverse Mercator Zone 26-39, Lambert Conformal Conic, and Azimuthal Equal Area.
  • Lithuanian and Latvian Coordinate Systems Added. We have added the following Latvian Coordinate Systems to the PRJ file: LKS-92, and Longitude/Latitude (LKS-92). We have added EPSG codes to the following Lithuanian Coordinate Systems: LKS-94, Baltija-92, Longitude / Latitude
    (LKS-94) and KS-1942 Zone 4.
  • Estonian Coordinate System Added. We have added the following Estonian Coordinate System
    L-EST 97.
  • Swedish Coordinate System Added. We have added Swedish Coordinate Systems for Aviation maps.
  • South African Coordinate System Zones Added. We have added several Gauss Kruger Coordinate System zones.

New Help System Enhancements. We have updated the MapInfo Professional Help System to provide new functionality that you may already be using in other Microsoft products.

  • Reading help topics gets easier. When you click in a help topic you can use the mouse wheel to scroll up and down through the topic as you read. This is the quick way to get through help topics and move on to getting your work done.
  • Type too small? Zoom in! If you press and hold the Ctrl key while you use the mouse button to scroll through a topic, the type displays in a larger font so you can read the text clearly.
  • Access to the most current MapInfo Professional documentation is easier! At the bottom of each help topic, there is a web address that takes you to the MapInfo web page. From there you can get the latest MapInfo Professional documentation or peruse documentation for other MapInfo products. You must be connected to the Internet for this feature to work.
  • Can't find a favorite topic? Save it in the Favorites tab! You can store topics you refer to all the time on a Favorites tab, which persists from session to session.

To save a favorite topic in the Favorites tab:

  1. Open the Help System by doing one of the following:
    • Click Help in a dialog box
    • Select Help > MapInfo Professional Help Topics
  2. Click the Search tab and display the topic you want to save.
  3. Click the Favorites tab and click Add. The Help System adds the topic to the list.

What's New in MapInfo ProViewer 9.0?


New in ProViewer 8.0

Autoscroll now more consistent. The T key is now used to toggle Autoscroll on and off. It used to be that A turned Autoscroll on and T turned Autoscroll off.

More Nodes. Increased the number of nodes permitted per object for regions, polylines, and multipoints.

Added support for the ASRP version 1.2 raster format.

Added New Datums, Projections and Ellipsoids including:

  • Chinese Coordinate Systems
  • Guernsey Grid Coordinate System
  • Hellenic Geodetic Reference System
  • Baltic Projections (Lithuanian and Latvian)
  • New Zealand Geodetic Datum 2000
  • New Belgian Coordinate System
  • Additional British National Grid Coordinate System

New Grid Handler. Added the Arc Grid Handler to support the use and display of ESRI grid files.

What's New in MapInfo ProViewer 9.0?


New in ProViewer 7.8

Improved File Handling. Open MapInfo Professional 7.8 workspaces and table files. This includes .tab files referencing ESRI Shapefiles and table files containing new projections.

WFS and WMS Support. View workspaces and .tab files that reference Web Map Service (WMS) and Web Feature Service (WFS) layers.

Large Crosshair Selection. Support for selecting nodes more precisely.

Supports Larger Excel Files. Open .tab files that reference larger Excel files (more than 32K rows).

Enhanced Centroid Snap Capabilities.

Enhanced 3DMap Viewing. Improved PrismMap lighting.

Removed 255K character limit in Layout and Map windows in workspaces.

Upgraded raster handlers. Upgraded the LeadTools to version 13, MrSID SDK (3.2) to provide support for MG3 files and updated the current raster handlers to handle multi-threading; specifically for ECW and the Government handlers (ADRG, ASRP, CADRG, CIB, NITF).

What's New in MapInfo ProViewer 9.0?


New in ProViewer 7.0

Microsoft Windows-like File Open Dialog Box Support Added. You can now use My Documents, Desktop etc. button options that have been added to the File Open Dialog Box.

ESRI Shapefile Support Added. You can now open .tab files that reference ESRI Shapefiles.

Raster Format Support Added. You can now open .tab files that reference ECW, MrSid, JPEG 2000, ADRG, CADRG, CIB and NTIF raster format files.

What's New in MapInfo ProViewer 9.0?


Displaying a Map in MapInfo ProViewer

To explore the basics of desktop mapping concepts, let's explore the World.wor workspace, which is installed with ProViewer.

To display a map in the ProViewer product:

  1. Click the Start button, select the All Programs, MapInfo and MapInfo ProViewer to display the ProViewer window.
  2. Click the [image] button or from the File menu, select Open button to display the Open MapInfo Tables or Workspaces dialog box.

    3. Note You cannot open .MWS files created with MapInfo Professional in ProViewer.

  3. Click the Data directory and click Open.
  4. Click the World directory and click Open.
  5. Select the World.wor entry and click Open to display the World workspace.


Understanding the ProViewer Toolbar

The toolbar icons at the top of the MapInfo ProViewer window can help you perform mapping work easily and efficiently. The Help System contains a detailed explanation of each icon.

Icon
Name
Icon
Name
Icon
Name

Open

Print

Help

Select

Zoom In

Zoom Out

Change View

Grabber

Info Tool

Drag Map Window

Ruler

Show/Hide Legend

Label

HotLink

Show/Hide Statistics

Select Boundary

Marquee Select

Radius Select

Select Polygon

Graph Select

Unselect All

Invert Selection


A Brief Tour of the World.wor Workspace

Use the World.wor to review the map layers and experiment with these icons to become familiar with their functionality. You can think of a workspace as a map with transparencies stacked on top of it. Each layer contains data that pertains to the entire map. For example, World.wor includes the Ocean, the Countries, and the World Capitals layers.

See Also...

Using the Select Icon

Using the Statistics Icon

Using the Ruler Icon

Using the Zoom Icons

Displaying the Map Legend


Using the Select Icon

This is the [image] Select tool's default cursor. Position the cursor over any region to display the name of the region. There are several selection icons that allow you to select map features and group regions for display. See the Help System for more about the specific properties of each icon.


Using the Statistics Icon

Click the [image] Statistics icon to display more about a selected country in the Statistics window.


Using the Ruler Icon

The Ruler tool can show distance between two points on a Map window.

  1. Choose the [image] Ruler button and position the cursor, which displays as a cross, anywhere on the map and click.

    2. The Ruler window displays Distance and Total. As you move the cursor, the Distance measurement changes in the Ruler window.

    • To measure the distance between two points, click the first point and double-click the second.
    • To measure the length of a path containing two or more segments, continue the process, clicking once at the end of each segment to keep a running total of the length of the path.


Using the Zoom Icons

The Zoom options give you control over the display of the Map window.

  1. Open a Map window and click the [image] Zoom in button. Position the cursor anywhere on the map.

    2. Full featured MapInfo products allow you to determine the range (for example 0 to 3 miles, 2 to 5 miles) at which each layer is visible in a Map window.

  2. To see the effect of zooming click the Zoom in icon anywhere on the map. The map redraws at the new zoom level. Notice that the information changes in the Zoom section of the Status Bar to reflect a new zoom level.

  3. To specify the zoom level of the map, click the [image] Change View button and enter a new zoom level.

    4. At different zoom levels, new information displays on the map reflecting the visibility of the different map layers that comprise World.wor.


Displaying the Map Legend

The map's legend explains the meaning of the different shapes, colors, and fill patterns.

  1. Open a Map window and click the [image] Legend button or select the Options menu and the Show/Hide Legend command.

    2. Note Not all maps have legends.

  2. Choose the Map menu option and the Previous View command to return the map from the beginning.

We have provided the icon descriptions, the Glossary, and the online help to support you as you navigate through more mapping adventures!


Getting Online Help

Use ProViewer`s comprehensive online Help, including sections on menu commands and dialog box descriptions, to answer your ProViewer questions.


Getting Technical Support

If you encounter problems installing MapInfo ProViewer, our technical support specialists can help. Technical Support for MapInfo ProViewer is limited to installation issues. For workspace-related issues, see the MapInfo Professional user who created the workspace.

For questions concerning the installation of ProViewer, contact MapInfo Technical Support at 518/ 285-7283 or visit the MapInfo web site (http://www.mapinfo.com).


Want to do MORE?

Consider...

MapInfo Professional, the premier desktop mapping product for business and government. MapInfo Professional allows users to access their own data to see relationships between data and geography, answering questions such as...

  • Where are my best customers located?
  • Where should I place my next sales office?
  • How can I increase my sales?

MapInfo Professional answers these questions in a straightforward manner, reducing the time it takes to make smarter decisions.


Copyright Information

Information in this document is subject to change without notice and does not represent a commitment on the part of the vendor or its representatives. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, without the written permission of PB MapInfo Corporation, One Global View, Troy, New York 12180-8399.

© 2007 PB MapInfo Corporation. All rights reserved. MapInfo, the MapInfo logo, MapInfo Professional and MapInfo ProViewer are trademarks of PB MapInfo Corporation and/or its affiliates.

Corporate Headquarters:
Voice: (518) 285-6000
Fax: (518) 285-6070
Sales Info Hot line: (800) 327-8627
Government Sales Hot line: (800) 619-2333
Technical Support Hot line: (518) 285-7283
Technical Support Fax: (518) 285-6080

Contact information for all Pitney Bowes MapInfo offices is located at: http://www.mapinfo.com/contactus.

Adobe Acrobat® is a registered trademark of Adobe Systems Incorporated in the United States.

Products named herein may be trademarks of their respective manufacturers and are hereby recognized. Trademarked names are used editorially, to the benefit of the trademark owner, with no intent to infringe on the trademark.

July 2007


Understanding ProViewer

MapInfo ProViewer is a simple, inexpensive application that opens, displays, and allows limited manipulation of MapInfo Professional Tables and Workspaces. ProViewer works with MapInfo Professional Tables and Workspaces created in any version of MapInfo Professional.

Note MapInfo ProViewer is not designed to run MapBasic applications or be used in an integrated mapping application.

See Also...

Why Use MapInfo ProViewer?

What's New in MapInfo ProViewer 9.0?

Topics in ProViewer...

Common Tasks

Instructions For Using MapInfo ProViewer Help


Why Use MapInfo ProViewer?

MapInfo ProViewer is a simple, inexpensive alternative to working with paper maps, particularly when:

  • There is a lot of detail and the paper map would have to be very large.
  • There are many related maps that would require many pages.
  • The data changes often and paper maps would have to be replaced frequently.

Examples of who could benefit from ProViewer are:

Large corporations who want to facilitate distribution of maps created with MapInfo Professional.

MapInfo Professional Data providers who want to include a vehicle for viewing the data on the distribution CD.

See Also...

What's New in MapInfo ProViewer 9.0?

Common Tasks

Instructions For Using MapInfo ProViewer Help


Topics in ProViewer...

If you are interested in finding out more about a general topic, click on the book and display the options.


Browsers

Displaying a Record's Data


Graphs

Using the Graph Select Tool


Maps

Displaying the Entire Map or Map Layer

Finding and Displaying a Selected Object

Manipulating a 3DMap (3D Map Properties command)

Measuring the Distance Between Two Points

Moving a Map or a Layout

Removing All Objects from the Cosmetic Layer

Scaling and Positioning a Map

Searching For Objects Within A Rectangle

Searching for Objects within a Region

Selecting Objects within a Polygonal Area

Selecting a Single Object from a Map or Layout

Selecting Objects within a Radius

Unselecting Objects

Using the HotLink Tool in a Map Window

Viewing a Previous Map or Layout

Zooming In on a Map or Layout

Zooming Out on a Map or Layout


Workspaces

Opening a Workspace

Opening Multiple Workspaces

Topics in ProViewer...


Tables

Closing a Table

Closing All Open Tables

Closing Multiple Tables

Displaying a Record's Data

Inverting a Table Selection

Opening a MapInfo Professional Table

Selecting All Objects from a Table

Topics in ProViewer...


Printing

Printing the Contents of a Browser or Redistrict Window

Printing the Contents of a Graph Window

Printing the Contents of a Layout Window

Printing the Contents of a Map Window

Selecting a Printer

Setting Margins for a Browser When Printing

Setting Margins for a Graph Window When Printing

Setting Margins for a Layout When Printing

Setting Margins for a Map Window When Printing

Topics in ProViewer...


Labels

Using the Label Tool


Legends

Displaying or Hiding a Legend

How a Map Legend Displays in a Layout

Topics in ProViewer...


Status Bar

Changing Status Bar Display Settings For Maps

Displaying or Hiding the Status Bar

Specifying Status Bar Display for Maps

Topics in ProViewer...


Statistics

About the Statistics Window

Displaying or Hiding the Statistics Window

Topics in ProViewer...


Windows

Cascading Windows

Tiling Windows

Topics in ProViewer...


Forums

Connecting to MapInfo Professional Forum on the Internet


Layouts

How a Browser Displays in a Layout

How a Graph Displays in a Layout

How a Map Legend Displays in a Layout

Layout Window Description

Moving a Map or a Layout

Measuring the Distance Between Two Points

Printing the Contents of a Layout Window

Setting the Zoom Using Numerical Keys

Specifying a Zoom Level in a Layout

Viewing a Previous Map or Layout

Zooming In on a Map or Layout

Zooming Out on a Map or Layout


Common Tasks

Inverting a Table Selection

The Invert Selection feature inverts the current selection set. For example, if you have selected New York from a map of Eastern United States, choose Select > Invert Selection to unselect New York and select all other states on the currently displayed map.

To invert a table selection:

  1. Choose File > Open Table. The Open Table dialog box displays.
  2. Specify the name, directory and drive for the table you want to open.
  3. Click Open. The table is opened.
  4. Make a selection from the table.
  5. Choose Select > Invert Selection, or click on the [image] Invert Selection button in the Main Toolbar. The current selection set is inverted.

    6. See Also...

    Tables

    Opening a MapInfo Professional Table


Opening a MapInfo Professional Table

To open a MapInfo Professional table:

  1. Choose File > Open Tables or Workspaces. The Open MapInfo Tables or Workspaces dialog box displays.
  2. Choose MapInfo Tables from the Files of type drop-down list.
  3. Select the drive, directory, and name of the table you want to open.
  4. Click Open, the table is opened.

    5. See Also...

    Opening a Workspace


Opening a Workspace

Any previously opened tables and windows will be left untouched when you open a workspace. However, to avoid cluttering up your screen with unnecessary windows, use the Close All command from the File menu before adding the workspace.

To open a workspace:

  1. Choose File > Open Tables or Workspaces. The Open MapInfo Tables or Workspaces dialog box displays.
  2. Choose MapInfo Workspaces (*.wor) from the Files of type drop-down.
  3. Select the drive, directory, and name of the table you want to open.
  4. Click Open.

    5. See Also...

    Opening a MapInfo Professional Table


Opening Multiple Workspaces

To open multiple workspaces:

  1. Choose File > Open Tables or Workspaces. The Open MapInfo Tables or Workspaces dialog box displays.
  2. To open a contiguous block of workspaces, select the first workspace you want, hold down the Shift key and select the last workspace you want.
  3. To open multiple workspaces that are out of sequence, hold down the Control key and select the workspaces.
  4. To deselect workspaces, hold down the Control key and click on the workspaces.

    5. See Also...

    Opening a MapInfo Professional Table


Closing a Table

To close a table:

  1. Choose File > Close Table. The Close Table dialog box displays. Choose the table you want to close from the list.
  2. Click Close. When closing a window but not the associated table, click the Control-menu box [Close box] in the upper-left corner of the window.

    3. See Also...

    Opening a MapInfo Professional Table


Legend Window Description

A thematic legend window allows you to view every object in every layer of your maps. This includes points and boundaries.


Measuring the Distance Between Two Points

The Ruler tool measures the distance between two points and the total distance of a multi-segment path. The Ruler window that displays when you click on the Ruler tool shows the following 2 items.

Distance

The distance the ruler is currently measuring as you move the cursor.

Total

The total of all the distances measured during the current use of the Ruler tool.

As you move the cursor, you will see the distance measurement change in the Ruler window. You can position the Ruler window anywhere on the screen.

To measure the distance between two points:

  1. Click the Ruler tool in the MapInfo ProViewer Toolbar, the Ruler window displays.
  2. Click at the point where you want to start measuring, a small box displays on the screen to mark the point.
  3. Move the cursor and click on a location, a box displays to mark the second point. MapInfo Professional adds that distance to the total distance. This is useful when you want to follow along a street in a map and see how long the street is. You can also use it to find the distance along a path that includes various streets and roads.
  4. Double-click the mouse button when you have completed the measurement.

To measure the length of a multi-segment path:

  1. Repeat step 3 above until you have outlined the total distance of the path.
  2. Double-click the mouse button when you have completed the measurement.

You can now start another measurement or choose a new tool. When you choose a new tool, you may want to close the Ruler window. Do so with its Control-menu box [Close box].

See Also...

Maps

Layouts


Displaying a Record's Data

To display a record's data:

  1. Open a map or Browser window.
  2. Click the Info button to access the Info tool.
  3. Choose a Browser or map object with the Info tool. The Info Tool dialog box for a single object displays.
  4. Choose a location where there are multiple overlapping objects, the Info Tool dialog box for multiple objects displays.

    5. Note The bottom of the window displays the number of objects selected and the number of tables containing those objects.

  5. Choose an object from the list. A window displays with the tabular data for that object.

Use the scroll bars to move through the table's records. The arrow buttons allow you to go back and forth between the objects that you selected. Clicking the List button returns you to the previous window that lists the objects.

Note List and arrow capabilities are only available for multiple layer MAP window objects not Browser window objects. In order for the Info tool to work, the objects you are interested in must be in a selectable layer.

See Also...

Topics in ProViewer...


Closing All Open Tables

To close all open tables:

Choose File > Close All.

See Also...

Closing Multiple Tables

Tables


Closing Multiple Tables

To close multiple tables:

  1. Choose File > Close Table. The Close Table dialog box displays.
  2. Do one of the following:

    3. To close a contiguous block of tables, select the first table you want, hold down the Shift key and select the last table you want.

    To close multiple tables that are out of sequence, hold down the Control key and select the tables.

  3. To deselect tables, hold down the Control key and click on the tables.

    4. See Also...

    Closing All Open Tables


Selecting a Printer

To select a printer:

  1. Choose File > Print, the Print dialog box displays.
  2. Choose the printer you want to use (only installed printers are displayed).
  3. Click OK.

You install printers and configure ports through the Windows Control Panel. For more information on installing printers and default settings, see your system documentation.

See Also...

Printing


Printing the Contents of a Map Window

To print the contents of a Map window:

  1. Select the Map window to make it active.
  2. Choose File > Print, the Print dialog box displays.
  3. Specify the number of copies you want to print.
  4. Click All to print all the pages of the Map or to specify a page range.
  5. Click the Options button, the Map Print Option dialog box displays.
  6. Choose a Map size option (Window size, Fit to page, or Custom.)
  7. Choose a map contents option (Same as Window or Centered on Window.)
  8. Use Custom Scale and Custom Width to specify the scale, width, and height settings for your map.
  9. Click OK for each dialog box to print the Map window.

    10. See Also...

    Printing


Printing the Contents of a Graph Window

To print the contents of a Graph window:

  1. Select the Graph window to make it active.
  2. Choose File > Print, the Print dialog box displays.
  3. Specify the number of copies you want to print.
  4. Click the Options button, the Graph Print Option dialog box displays.
  5. Choose a size option or enter a custom width and height.
  6. Choose one of the these Graph Size options: Window Size, Fit to Page, Full Page, or Custom.
  7. If you choose Custom, specify the width and height settings for your graph.
  8. Click OK for each dialog box to print the Graph window.

    9. See Also...

    Printing


Printing the Contents of a Layout Window

To print the contents of a Layout window:

  1. Choose the Layout window to make it active.
  2. Choose File > Print, the Print dialog box displays.
  3. Type the page range and/or number of copies you want to print.
  4. Click OK to print the Layout window.

    5. See Also...

    Printing


Printing the Contents of a Browser or Redistrict Window

To print the contents of a Browser or Redistrict window:

  1. Select the Browser or Redistrict window to make it active.
  2. Choose File > Print, the Print dialog box displays.
  3. Type the number of copies you want to print.
  4. Click the Options button, the Browser Print Option dialog box displays.
  5. Click All to have all the rows of the Browser or Redistrict window printed or specify a range of rows.
  6. Click OK for each dialog box to print the Browser or Redistrict window.

    7. See Also...

    Printing


Setting Margins for a Browser When Printing

To specify margin settings:

  1. Make the Browser window active and choose File > Page Setup. The Page Setup dialog box displays.
  2. Specify the desired margin settings.
  3. Click OK.

    4. See Also...

    Printing


Setting Margins for a Graph Window When Printing

To specify margin settings:

  1. Make the Graph window active and choose File > Page Setup. The Page Setup dialog box displays.
  2. Specify the desired margin settings.
  3. Click OK.

    4. See Also...

    Printing


Setting Margins for a Layout When Printing

To set the margins for a Layout:

  1. Make the Layout window active and choose File > Page Setup. The Page Setup dialog box displays.
  2. Specify the desired margin settings.
  3. Click OK.

For more information on settling margins see the Help topic, Specifying layout margins for individual pages.

See Also...

Printing


Setting Margins for a Map Window When Printing

To specify margin settings:

  1. Make the Map window active and choose File > Page Setup. The Page Setup dialog box displays.
  2. Specify the desired margin settings.
  3. Click OK.

    4. See Also...

    Printing


Displaying or Hiding a Legend

To display or hide a legend:

Choose Options > Show/Hide Legend. The legend window displays or disappears from your screen.

If a legend is already on the screen, the Show/Hide command reads Hide. If the legend is not on the screen, the Show/Hide command reads Show.

You can close the legend window by clicking on its Control-menu box [Close box].

Legend For A Graph

The legend indicates what each data series represents.

See Also...

Legends


Displaying or Hiding the Status Bar

To display or hide the Status Bar:

Choose Options > Show/Hide Status Bar. The Status Bar either displays or disappears.

See Also...

Status Bar


Specifying Status Bar Display for Maps

You can display zoom (window width), map scale, or cursor location in the Status Bar (lower left corner of window):

To specify what displays in the Status Bar:

Click on the Status Bar. A drop-down list displays.

Choose Zoom (window width), Map scale, or Cursor location.

The option you selected displays in the Status Bar. To change Status Bar display settings see, Changing Status Bar Display Settings For Maps

See Also...

Status Bar


Changing Status Bar Display Settings For Maps

To change the Status Bar display settings for a map:

  1. Choose Map > Change View. The Change View dialog box displays.
  2. Type the new Zoom [window width].
  3. Type the new Map scale.
  4. Type the new X and Y Center of window coordinates to position your map.
  5. Click OK.

To specify what is displayed in the Status Bar (Zoom etc.) see, Changing Status Bar Display Settings For Maps.

See Also...

Maps


Displaying or Hiding the Statistics Window

The Statistics window is a window that tallies the sum and average of all numeric fields for the currently chosen objects/records. The number of records chosen is also displayed. As the selection changes, the data is re-tallied, and the statistics window is updated automatically.

To display or hide Statistics:

    • Choose Options > Show/Hide Statistics, the Statistics window displays or disappears from your screen.

You can close the Statistics window by clicking on its Control-menu box [Close box].

See Also...

Statistics


About the Statistics Window

Tallies the sum and average of all numeric fields for the currently chosen objects/records. The number of records chosen is also displayed. As the selection changes, the data is re-tallied, and the statistics window is updated automatically.

See Also...

Statistics


Cascading Windows

When you choose Cascade Windows, only the contents of the topmost window is visible. The top-most window is always the active window.

To make another window the active window:

Click on its title bar or choose a window from the bottom of the Window menu.

Use More Windows in the Window menu to access the Select Window dialog box that allows you to choose a window to work with when you have more than nine windows open.

To cascade the windows you are working with:

Choose Window > Cascade Windows.

See Also...

Windows


Tiling Windows

The Window resizes and arranges all the windows next to one another so that each window is visible on the screen.

The windows that are currently open are numbered and listed at the bottom of the Window menu (e.g. States Browser, States Map).

See Also...

Windows


Connecting to MapInfo Professional Forum on the Internet

To connect to the MapInfo Professional forum:

Choose Help > MapInfo on the World Wide Web

The browser opening screen displays and brings you to the MapInfo home page.

If you have both browsers installed, and want to change the default browser, edit the WWW browser key in the Windows Registry.

See Also...

Forums


Scaling and Positioning a Map

To scale your map:

  1. Choose Map > Change View or click the Change View button in the ProViewer Toolbar. The Change View dialog box displays.
  2. Type the new Zoom [window width].
  3. Type the new Map scale.
  4. Type the new X and Y Center of window coordinates to position your map.
  5. Click OK.

    6. See Also...

    Maps


Viewing a Previous Map or Layout

By using Previous View repeatedly, you can toggle back and forth between two views of your map or Layout.

To return to the previous view of a map:

Choose Map > Previous View.

To return to the previous view of a Layout:

Choose Layout > Previous View.

See Also...

Maps

Layouts


Displaying the Entire Map or Map Layer

In the View Entire Layer dialog box, you can pick an individual layer to view or pick All Layers and view the entire map. This option is important because the map might contain layers that cover different amounts of territory.

For example, you have a map containing New York counties and highways, and ZIP Codes and streets for Utica. If you choose All Layers, MapInfo ProViewer will zoom you out to see the entire map. But if you are only interested in viewing Utica streets, you should pick that layer. Then ProViewer will zoom out only as far as needed to display those streets.

Many maps, such as MapInfo's StreetInfo maps, are so large that View Entire Layer will take a long time to display when zoomed out all the way. We suggest that you use View Entire Layer, then interrupt the display of the map (by <ESC> or by pressing the Right mouse-button), and zoom in on the section you are interested in.

To display an entire map or map layer:

  1. Choose Map > View Entire Layer, the View Entire Layer dialog box displays.
  2. Click the View entire layer drop-down list to display a list of layers.
  3. Choose all layers to display the entire map or choose a specific layer.

    4. See Also...

    Maps


Zooming In on a Map or Layout

To Zoom-in on a map or Layout:

  1. Click the Zoom-in button in the Toolbar.
  2. Do one of the following:
    • Click the Zoom-in cursor on the center of the area you want to zoom in on. The area magnifies by a factor of two.
    • This point will be at the center of the Map in the zoomed-in view. You can repeat this procedure until you have the desired level of enlargement.
    • Draw a marquee around the area by dragging the Zoom-in tool diagonally across it. ProViewer then enlarges the selected area to fill the Map window.

The area enclosed by the dotted rectangle is the area that is being zoomed in on. When you are done, the area enclosed by the Zoom-in marquee now occupies the entire map. However, the aspect ratio is not changed, so if you choose an area that has a very different shape from the window, you will end up seeing a much wider or taller area of the map than you selected.

See Also...

Maps


Zooming Out on a Map or Layout

To Zoom-out on a map or Layout:

  1. Click the Zoom-out button in the MapInfo ProViewer Toolbar.
  2. Do one of the following:
    • Click the Zoom-out cursor on the center of the area you want to zoom out from. This will increase the visible area of the map by a linear factor of two.
    • The map is redrawn placing the point at the center of the Map window in the zoomed-out view. You can repeat this procedure as desired.
    • Draw a marquee in the Map window by diagonally dragging the Zoom-out tool.

The map is redrawn so that the area you started with is positioned within the marquee area and more of the map appears around it.

The zoom-out marquee shows the area that will be occupied by the current map image when the zoom-out is complete. That is, the current map image is reduced to that size, and more of the map displays.

See Also...

Maps


Specifying a Zoom Level in a Layout

To change the zoom level in a layout:

  1. Choose Layout > Change Zoom. The Layout Zoom dialog box displays. The magnification factor at which the Layout is currently being viewed displays in the Zoom box.
  2. Type a new value in the Zoom box.
    • For example, when the zoom is 25%, which means the contents of the current Layout is being displayed at 25% of its actual size.

The minimum zoom level is 6.3%, the maximum is 800%.

The 1 - 8 keyboard keys can also be used to specify the Layout Zoom.

1 = 6.3%

2 = 12.5%

3 = 25%

4 = 50%

5 = 100%

6 = 200%

7 = 400%

8 = 800%.

See Also...

Layouts


How a Browser Displays in a Layout

A Browser window displays with the column headings at the very top of the frame. Immediately below, it displays the contents of the table, starting with the row and column at the upper-left corner of the table. It displays as many columns and rows as it can fit in the frame, regardless of how many are displayed in the table. When you resize the frame, the number of rows and columns displayed are adjusted accordingly

The number of rows and columns that can be displayed in a frame depends on font size and column width. The frame displays Table text using the font style and size for that Browser window.

You can also manually adjust column width in a Browser window without affecting the underlying field size for the base table. You do this by clicking and dragging the short vertical bars separating the column names in the Browser window.

See Also...

Layouts


How a Graph Displays in a Layout

Graphs display in a frame so that they completely fill the frame. They display according to the proportions of the frame, not the Graph window.

The frame displays graph text at the same point size as the text displays in the Graph window. When a frame is substantially smaller (as measured by the frame's rulers) than the Graph it displays, the text may get squeezed.

The symbols used to display a data series in line graphs and X-Y graphs are also displayed at the point size set for them in the Graph window

See Also...

Layouts


How a Map Legend Displays in a Layout

Map legends display at the same size they are in the Map Legend window, using the same fonts and sizes set in the Map Legend window. When you size a legend's frame so that it is smaller than the legend, it crops the legend rather than shrinking it to fit.

See Also...

Layouts


Layout Window Description

Layout windows have scroll bars at the right and at the bottom like Map windows and Browser windows.

You can display rulers at the top and to the left to help you in positioning, sizing and aligning objects.

The Zoom displayed in the key (lower left) indicates the magnification factor that is currently applied to the Layout. When the zoom is 37.46%, then the Layout is being displayed 37.46% of its actual size. When the zoom is at 123%, then the Layout is being displayed at 123% of its actual size.

See Also...

Layouts


Setting the Zoom Using Numerical Keys

You can use numerical keys <1> through <8> to set the zoom level in a layout:

KEY

1

2

3

4

5

6

7

8

ZOOM

6.3

12

25

50

100

200

400

800

Click one of these keys when a Layout is the active window, and ProViewer changes the Layout's zoom.

See Also...

Layouts


Selecting a Single Object from a Map or Layout

The Select tool must be active before you can use it; activate the tool by clicking on it. The tool's icon is highlighted in the Toolbar and the cursor becomes a pointer. If you are editing records in a browser, the cursor becomes an I-beam.

To select a single object from a map or layout:

  1. Click the Select button in the Toolbar.
  2. Click the object.

The layer where the object is located has to be selectable in the Map window. When an object is selected it is highlighted according to previously specified settings (editable etc.).

When the layer is editable, the selected object is surrounded by edit handles and is colored and patterned as it was originally defined.

When you select another object, the first object is unselected. When you want to select more than one object, hold down the Shift key while selecting.

See Also...

Maps

Layouts


Moving a Map or a Layout

To move a map or layout:

  1. Click the Grabber button in the Toolbar. The cursor displays as a hand when moved over a map or layout window.
  2. Click an area of the map or layout.

While holding down the mouse button, drag the map in the desired direction. When you release the mouse button, MapInfo ProViewer redraws the map in its new location.

See Also...

Layouts

Maps


Removing All Objects from the Cosmetic Layer

To remove all objects from the cosmetic layer:

  1. Choose Map > Clear Cosmetic layer.
  2. Click the Discard button.

All objects are removed from the Cosmetic layer.

See Also...

Maps


Using the Label Tool

To label a map object using the Label tool:

First, make sure that the layer containing the objects you want to label is selectable.

  1. Click the Label button [image] in the MapInfo ProViewer Toolbar.
  2. Click on an object with the Label tool, a label appears.

    3. See Also...

    Maps


Selecting All Objects from a Table

To select all objects from a table:

Choose Select > Select All.

When a Browser window containing a table is active, ProViewer selects all the records in the table.

When a Map window is active, ProViewer selects all the objects in the currently topmost selectable layer.

When a Layout window is active, ProViewer selects all objects in the Layout.

See Also...

Unselecting Objects

Finding and Displaying a Selected Object

To find and display a selected object:

  1. Select the desired object(s).
  2. Choose Select > Find Selection.

    3. If one or more objects are currently selected:

Find Selection updates all windows so that the selected item(s) appear in Browser and Map windows.

If one object is selected:

All Browsers display the selected record at the top of the Browser, and any Map window containing the object displays the selected item.

See Also...

Browsers

Maps


Using the Drag Map Button

Use the Drag Map button to place a MapInfo map into an OLE container application. A map dragged from 32-bit MapInfo provides the embedded OLE object, MapInfo Map. A map dragged from 16-bit MapInfo Professional is a metafile.

To use the Drag and Drop button:

  1. Click on the Drag Map button [image] in the MapInfo ProViewer Toolbar. As the cursor moves over the map, it displays as a drag icon.
  2. Click and hold down the mouse button anywhere in the map window.
  3. Drag the map to the new location.
  4. Release the mouse button; the map is dropped on the container at that location.

The behavior of the drop operation is defined by the container. Most containers will insert a copy of the map. If the container into which you are dropping a map cannot accept the map object, the No Drop cursor displays.

See Also...

Maps


Using the HotLink Tool in a Map Window

The HotLink Tool allows you to launch the URL or file associated with an active object by clicking on the object or it's label.

Note The HotLink Tool is available for map windows containing at least one active layer. A layer is active if it is selectable or editable and its HotLink options have been set (in particular the Filename Expression).

To launch a URL or filename using the HotLink tool:

  1. Click the HotLink button (lightning bolt) in the MapInfo ProViewer Toolbar. The cursor appears as a pointing hand.
  2. When the cursor is positioned over an active object, the cursor becomes a pointing hand holding a lightning bolt. The link associated with the active object displays in the Status Bar.
  3. Click on the object or label to launch the associated URL or file. If multiple objects exist under the point where you click, then a popup window appears containing a list of the objects. Choose the object whose link you want to activate.

    4. See Also...

    Maps


Unselecting Objects

To unselect the currently selected objects:

Choose Select > Unselect All or press the [image] Unselect All button.

When in a Map window or Layout window, click the Select tool where there are no objects.

When in a Browser window, select a row, which makes it the only selected row in the Table. Press Shift and select the row again. This deselects the row.

See Also...

Maps


Searching for Objects within a Region

To search for objects within a region (polygon, ellipse, or rectangle):

  1. Choose ProViewer Toolbar > [image] Boundary Select button. The cursor displays as a cross in a map window.
  2. Click a region in a selectable layer that contains other objects, such as points. All objects in the topmost selectable layer, including the cosmetic layer, within the region will be selected.

The tool chooses all objects within any polygonal region, ellipse, or rectangle on the map, such as a state or county boundary, a police patrol district or a sales territory. When the region is a complex one, with several component polygons, it includes all the component polygons in its search. If an object's centroid is located in another region, it will not be included the search.

See Also...

Maps

Searching For Objects Within A Rectangle

Searching for Objects within a Region

© 2007 MapInfo Corporation. All rights reserved.
Email: documentation@mapinfo.com


Manipulating a 3DMap (3D Map Properties command)

To manipulate within the 3DMap window:

  1. Choose the Select tool from the MapInfo ProViewer Toolbar.
  2. Click and hold the Left mouse button in the 3DMap window.

As you move the mouse, the viewpoint is rotated around the focal point. It is analogous to selecting a point on a ball and as you move the mouse, you are rotating the ball around its center.

Note The 3D window also supports the Pan and Zoom tools.

See Also...

Maps


Selecting Objects within a Radius

To select specific objects within a radius:

  1. Click the [image] Radius Select button in the MapInfo ProViewer Toolbar.
  2. Position the cursor at the center of the area from which you want to select and press the mouse button.
  3. Keep the mouse button depressed and drag the cursor away from the center point. As you do so, a dotted circle forms, indicating the area chosen. The exact radius displays in the Status Bar.
  4. Release the mouse button when you have the desired radius. All of the objects within the radius are chosen (the radius itself does not display).

    5. Press the Shift key as you choose a radius to add the currently selected objects to the items selected in the previous select operation.

The Radius Select tool picks objects whose centroid is within the chosen area; the object does not have to be completely bounded by the radius.

Note If the objects you want to select are not in the topmost selectable layer, you can use the Control key to toggle down through the layers while performing the radius select.

See Also...

Maps


Selecting Objects within a Polygonal Area

To search for objects within a polygon shaped area:

  1. Click the Polygon Select button in the MapInfo ProViewer Toolbar. The cursor displays as a pointing hand when you are in a Map or Layout.
  2. Position the cursor at one corner of the area from which the selection will be made and press the mouse button.
  3. Keep the mouse depressed and drag the cursor away from the starting point; a dotted line is drawn.
  4. Click at each "corner" point of the polygon until the polygon is closed. A hatched pattern indicates the area chosen. The objects in the topmost selectable layer within the polygon are selected.

    5. See Also...

    Maps


Searching For Objects Within A Rectangle

To search for objects in a rectangular shaped area:

  1. Choose ProViewer Toolbar > Marquee Select button. The cursor displays as a pointing hand when in a Map or Layout window.
  2. Position the cursor at one corner of the area from which the selection will be made and press the mouse button.
  3. Keep the mouse button depressed and drag the cursor away from the starting point. As you do so, a dotted rectangle or marquee box forms, indicating the area chosen.
  4. Release the mouse button when the rectangle reaches the desired size. The objects in the topmost selectable layer within the rectangle are selected.

Adding Objects To The Selection Set

Use the Shift key with the Marquee Select tool when you wish to add newly selected objects to the previous selection.

See Also...

Maps


Using the Graph Select Tool

If the current selection is from a table on which a graph window is based then, depending on the graph type, some portion of the graph will be highlighted using the same pen/brush that is used to highlight selected objects in the map window. For example, in a column graph one or more of the riser bars will be highlighted, in a pie graph one or more of the pie wedges will be highlighted.

To select rows in the table being graphed:

  1. Click on the Graph Select tool.
  2. Click on a part of the graph that corresponds to a row in the table (riser bar, pie wedge). MapInfo updates the current selection

This change is reflected in map and browser windows displaying the same table. If you click on an area of the graph that does not correspond to a table row, then the select is cleared (like Query > Unselect All).

Shift + Click works the same in the graph window as it does in the map and browser windows; it adds or removes the target item to the selection list.

Note For some graph types there is no relationship between the graph objects and rows in the table (e.g. histogram). For these graph types Graph Select tool is disabled and the graph window will not highlight the current selection.

See Also...

Maps


Instructions For Using MapInfo ProViewer Help

MapInfo ProViewer's Help allows you to quickly reference menu commands and options (What is the purpose of this command, How do I make this command active etc.) and provides step-by-step instructions for the related tasks.

To find a topic in Help:

Click the Contents tab to browse through topics by category. If your Help file doesn't have a Contents tab, click the Contents button to see a list of topics.

Click the Index tab to see a list of index entries: either type the word you're looking for or scroll through the list.

Click the Find tab to search for words or phrases that may be contained in a Help topic.

Note For complete instructions on how to use Windows Help, press the F1 key while a Help window is active.

See Also...

Help Button


Exiting MapInfo ProViewer

To exit MapInfo ProViewer:

Choose File > Exit.


MapInfo ProViewer Toolbar

The MapInfo ProViewer Toolbar displays below the main menu and provides quick access to many of the most frequently used features of ProViewer. Click a button to see information about that button.

Note The Button Pad is a floating menu version of the Toolbar and contains the same buttons. Please use the entries below to become familiar with the Button Pad options.

Boundary Select Button

Change View Button

Drag Map Button

Grabber Button

Graph Select Button

Help Button

HotLink Button

Info Button

Invert Selection Button

Label Button

Legend Button

Marquee Select Button

Open Table Button

Polygon Select Button

Print Button

Radius Select Button

Ruler Button

Select Button

Statistics Button

Unselect All Button

Zoom-in Button

Zoom-out Button


Button Pad

The MapInfo ProViewer Button Pad displays as a floating menu that provides quick access to many of the most frequently used features of ProViewer.

Click MapInfo ProViewer Toolbar to become familiar with the Toolbar buttons.


Change View Button

What is the purpose of the Change View Button?

The Change View Button allows you to access the Change View dialog box. Use this dialog box to specify settings for Map window width, map scale, map resizing, and centering your map.

When is the Change View Button active?

The Change View Button is active when:

A Map window is active.

How do I access the Change View dialog box?

To access the Change View dialog box:

  1. Make a Map window active.
  2. Click the Change View button and the Change View dialog box displays.

    3. See Also...

    Scaling and Positioning a Map


Drag Map Button

What is the purpose of the Drag Map button tool?

The Drag Map button tool enables you to drag an entire MapInfo Professional map window and drop it into an OLE container application, such as Microsoft Word or Microsoft Excel.

When is the Drag Map button active?

The Drag Map button tool is active when:

A Map window is active.

How do I access the Drag Map button tool?

To access the Drag Map button tool:

Click the Drag Map button in the MapInfo Professional Map Toolbar.

See Also...

Using the Drag Map Button


Open Table Button

Open Table button allows you to open a MapInfo Professional table, dBase, Microsoft Excel spreadsheet or raster image.

Note These formats must have been previously opened in MapInfo Professional and registered as MapInfo tables. In other words, if a .TAB file exists, then ProViewer can open it.

See Also...

Opening a MapInfo Professional Table

Opening Multiple Workspaces


Print Button

Print button allows you to print the contents of a, Browser, Redistrict, Map, Graph or Layout window. The Print button is available when a Browser, Redistrict, Map, Graph. or Layout window is active.

See Also...

Printing

Printing the Contents of a Browser or Redistrict Window

Printing the Contents of a Graph Window

Printing the Contents of a Layout Window

Printing the Contents of a Map Window


Help Button

To get help on a topic, click the Help button on the MapInfo ProViewer Toolbar. Click on an area and information on the area clicked will come up in a standard Help Window.

See Also...

Instructions For Using MapInfo ProViewer Help


Grabber Button

What is the purpose of the Grabber button?

The Grabber Button allows you to access the Grabber tool. Use the Grabber tool to reposition a map or layout within its window.

When is the Grabber button active?

The Grabber button is active when:

A Map or Layout is active.

How do I access the Grabber tool?

To access the Grabber tool:

Click the Grabber button in the ProViewer Toolbar.

See Also...

Moving a Map or a Layout


Info Button

What is the purpose of the Info button?

The Info button allows you to access the Info tool. Use the Info tool to select a location on your map, including multiple overlapping objects, and display a list of all objects at that location. You can then choose an object from the list and view the tabular data for that object.

When is the Info button active?

The Info button is active when one of the following conditions exist:

A Browser window is active.

A Map window is active.

How do I access the Info tool?

To access the Info tool:

Click the Info button on the ProViewer Toolbar.

See Also...

Displaying a Record's Data


Label Button

What is the purpose of the Label button?

The Label button allows you to access the Label tool. Use the Label tool to label objects with information from the related objects database.

When is the Label button active?

The Label button is active when one of the following conditions exist:

A Mapper is active

One layer (not the cosmetic layer) is selectable.

How do I access the Label Tool?

To access the Label Tool:

Click the Label button in the ProViewer Toolbar.

See Also...

Using the Label Tool


Legend Button

What is the purpose of the Legend button?

Use the Legend button to display the legend associated with a map or graph.

When is the Legend button active?

The Legend button is always active. However, when there is no active map or graph, the legend window reads No active Legend.

How do I access a map or graph legend?

To access a map or graph legend:

Click the Legend button in the MapInfo ProViewer Toolbar. The associated map or graph legend displays.

See Also...

Legends

Displaying or Hiding a Legend


Ruler Button

What is the purpose of the Ruler button?

The Ruler button allows you to access the Ruler tool. Use the Ruler tool to determine the distance between two points.

When is the Ruler button active?

The Ruler button is active when:

A Map window is active.

How do I access the Ruler tool?

To access the Ruler tool:

Click the Ruler button in the MapInfo ProViewer Toolbar.

See Also...

Measuring the Distance Between Two Points


Select Button

What is the purpose of the Select button?

The Select button allows you to access the Select tool. Use the Select tool to select one or more objects or records for analysis. You can also use the Select tool to edit a map, layout or browser.

How do I access the Select tool?

To access the Select tool:

Click the Select button in the MapInfo ProViewer Toolbar.

See Also...

Selecting a Single Object from a Map or Layout


Statistics Button

What is the purpose of the Statistics button?

Use the Statistics button to display the Statistics window. The Statistics window tallies the sum and average of all numeric fields for the currently chosen objects/records. The number of records chosen is also displayed. As the selection changes, the data is re-tallied, and the statistics window is updated automatically.

When you want statistics for an entire table, use Query > Select All to select all records in a table.

When is the Statistics button active?

The Statistics window is always active. However, when there are no objects/records selected the window reads, No selection.

How do I access the Statistics window?

To access the Statistics window:

Click the Statistics button in the MapInfo ProViewer Toolbar. The Statistics window displays.

See Also...

Displaying or Hiding the Statistics Window


Zoom-in Button

What is the purpose of the Zoom-in button?

The Zoom-in button allows you to access the Zoom-in tool. Use the Zoom-in tool to get a closer area view of a map or a layout.

When is the Zoom-in button active?

The Zoom-in button is active when:

A map or layout window is active.

How do I access the Zoom-in tool?

To access the Zoom-in tool:

Click the Zoom-in button in the MapInfo ProViewer Toolbar.

See Also...

Zooming In on a Map or Layout

Zooming Out on a Map or Layout


Zoom-out Button

What is the purpose of the Zoom-out button?

The Zoom-out button allows you to access the Zoom-out tool. Use the Zoom-out tool to get a wider area view of a map or a layout.

When is the Zoom-out button active?

The Zoom-out button is active when:

A map or layout window is active.

How do I access the Zoom-out tool.

To access the Zoom-out tool:

Click the Zoom-out button in the MapInfo ProViewer Toolbar.

See Also:

Zooming In on a Map or Layout

Zooming Out on a Map or Layout


Invert Selection Button

What is the purpose of the Invert Selection Button?

The Invert Selection feature inverts the current selection set. For example, if you have selected New York State from a map of Eastern United States, click the Invert Selection button or choose File > Invert Selection to unselect New York State and select all other states on the currently displayed map.

When is the Invert Selection Button active?

Invert Selection is active when records and/or objects have been selected from a table.

How do I access the Invert Selection tool?

To access the Invert Selection tool:

Click the Invert Selection button on the MapInfo ProViewer Toolbar.

See Also:

Inverting a Table Selection


Marquee Select Button

What Is the Purpose of the Marquee Select button?

The Marquee Select button allows you to access the Marquee Select tool. Use the Marquee Select tool to search for and choose objects within a given rectangle.

When Is The Marquee Select button active?

The Marquee Select button is active when:

A Map window is active.

How do I access the Marquee Select tool?

To access the Marquee Select tool:

Click the Marquee Select button in the MapInfo ProViewer Toolbar.

The cursor becomes a pointing hand when it is in a Map window.

See Also...

Searching For Objects Within A Rectangle


HotLink Button

What is the purpose of the HotLink button?

The HotLink Button allows you to access the HotLink tool. Use the HotLink tool to select a label or object in a map window and launch an associated file, (i.e. url, workspace etc.).

When is the HotLink button active?

The HotLink button is active when:

A map layer is active. The map layer must have a filename expression defined and be selectable or editable.

How do I access the HotLink tool?

To access the HotLink tool:

Click the HotLink button in the MapInfo ProViewer Toolbar.

See Also...

Using the HotLink Tool in a Map Window


Unselect All Button

What is the purpose of the Unselect All button?

Unselect All allows you to unselect the currently selected objects in a map, Layout or rows in a Browser. Pressing the button performs the same function as selecting Select > Unselect All from the menu.

When is the Unselect All button active?

The Unselect All button is active when one of the following conditions exist:

At least one row in a Browser was selected.

At least one object on a map was selected.

A Layout is active, and at least one object is selected.

How do I access the Unselect All button?

To access the Unselect All button:

Click the Unselect All button in the MapInfo ProViewer Toolbar.

See Also...

Unselecting Objects


Radius Select Button

What is the purpose of the Radius Select button?

The Radius Select button allows you to access the Radius Select tool. Use this tool to select all of the objects within a certain radius.

When is the Radius Select button active?

The Radius Select button is active when:

A Map window is active.

How do I access the Radius Select tool?

To access the Radius Select tool:

Click the Radius Select button in the MapInfo ProViewer Toolbar.

See Also...

Selecting Objects within a Radius


Polygon Select Button

What is the Purpose of the Polygon Select button?

The Polygon Select button allows you to access the Polygon Select tool. Use the Polygon Select tool to draw a polygon. You can then search for and choose objects within that polygon.

When is the Polygon Select button active?

The Polygon Select button is active when:

A Map or Layout window is active.

How do I access the Polygon Select tool?

To access the Polygon Select tool:

Click the Polygon Select button in the MapInfo ProViewer Toolbar.

The cursor becomes a pointing hand when it is in a Map window.

See Also:

Selecting Objects within a Polygonal Area


Boundary Select Button

What is the purpose of the Boundary Select Button?

The Boundary Select button allows you to access the Boundary Select tool. Use the Boundary Select Tool to search for and choose all the objects within a given region, such as a state or county boundary, a police patrol district, a sales territory, and so forth.

When is the Boundary Select Button active?

The Boundary Select button is active when:

A Map is active.

How do I access the Boundary Select tool?

To access the Boundary Select tool:

Click the Boundary Select button in the MapInfo ProViewer Toolbar.

See Also...

Searching for Objects within a Region


Graph Select Button

What is the purpose of the Graph Select button?

The Graph Select Button allows you to access the Graph Select tool. Use the Graph Select tool to select a record in a graph and the corresponding record in the mapper and browser.

When is the Graph Select button active?

The Graph Select button is active when:

A Graph is active.

How do I access the Graph Select tool?

To access the Graph Select tool:

Click the Graph Select button in the MapInfo ProViewer Toolbar.

See Also...

Using the Graph Select Tool


Dialog Box Descriptions

This section contains a list of the ProViewer dialog boxes and their features.

Advanced Printing Options Dialog Box

Arc Object Dialog Box

Arc Object Dialog Box (Read Only)

Change View Dialog Box

Close Table Dialog Box

Collection Object Dialog Box

Ellipse Object Dialog Box

Ellipse Object Dialog Box (Read Only)

Find Dialog Box (First Dialog Box)

Find Dialog Box (Second Dialog Box)

Info Tool Window

Layout Zoom Dialog Box

Line Object Dialog Box

Line Object Dialog Box (Read Only)

Map Print Options Dialog Box

Multipoint Object Dialog Box

Page Setup Dialog Box

Point Object Dialog Box

Point Object Dialog Box (Read Only)

Polyline Object Dialog Box

Polyline Object Dialog Box (Read Only)

Print Dialog Box

Rectangle Object Dialog Box

Rectangle Object Dialog Box (Read Only)

Region Object Dialog Box

Region Object Dialog Box (Read Only)

Rounded Rectangle Object Dialog Box

Rounded Rectangle Object Dialog Box (Read Only)

Statistics Window

Symbol Style Dialog Box

Text Object Dialog Box

Text Object Dialog Box (Read Only)

Toolbar Options Dialog Box

View Entire Layer Dialog Box

ViewPoint Control Dialog Box


Info Tool Window

Displays tabular data associated with map objects and the table in which the information is stored. The number of items displayed depends on the Zoom level.

See Also...

Get Info command (Map menu)


Collection Object Dialog Box

You can change the object by changing its attributes in the attribute dialog box. You might want to do this when you want to be sure of the exact location of the object. You can only change these attributes when the layer is editable. However, you can view the attributes whenever the layer is selectable.

Bounds X1, X2

Left and right boundaries of the object.

BoundsY1, Y2

Top and bottom boundaries of the object.

Center X, Y

Coordinate values of the object's center.

Region

Displays the Total Area, Total Perimeter, Line Segments and number of polygons in the selected collection object.

Style Button

Displays when the object is editable. Use this button to access the Region Style dialog box.

Polyline

Displays the total length, number of line segments and number of sections in the selected collection object.

Smooth

Check smooth to smooth the polyline.

Multipoint

Displays the number of points in the collection object.

Style Button

Displays when the object is editable. Use this button to access the Symbol Style dialog box.


Advanced Printing Options Dialog Box

Output Method

Print Directly to Device

Use the printing process employed by MapInfo Professional versions prior to 6.0.

Print Using Enhanced Metafile

This printing process, new to MapInfo Professional 6.0, generates an enhanced metafile containing the print contents and sends the Enhanced Metafile to the printer.

Print Border For Map Window

Check to print a black rectangle border on the printer output.

Internal Handling for Transparent Vector Fills and Symbols

Check to allow MapInfo Professional to perform special handling when printing transparent fill patterns or transparent bitmap symbols. If unchecked, device handling occurs.

Internal Handling for Transparent Raster

Check this box to instruct MapInfo Professional to perform special handling when printing raster or grid images that contain transparency. Generally, this box should be enabled because frequently, printers do not handle transparent raster images correctly.

Print Raster In True Color When Possible

Use 24-bit true color to print raster and grid images. This is possible when the image is 24 bit and the printer supports more than 256 colors.

Dither Method

Choose when it is necessary to convert a 24 image to 256 colors, use either halftone or error diffusion. This option is used when printing raster and grid images. Dithering occurs if "Print Raster In True Color When Possible" is disabled or if the printer color depth is 256 colors or less.

See Also...

Printing


Find Dialog Box (First Dialog Box)

Use the Find dialog box (First dialog box) to specify where to look for the search.

Search table

Drop down list of all available tables. This option allows you to specify a table to search from.

For objects in column

Drop down list of the columns in your search table. This option allows you to choose the column with locational information for the objects you are looking for.

Optional

Click the Options button to display the Find Options dialog box. This dialog box provides additional options when an exact match cannot be found.

Refine search with table

Allows you to choose a "refining" table (the table must contain boundaries, "region objects").

using boundary name column

Allows you to choose your "refining" column, the column containing the name of the boundary.

Mark with symbol

Click the symbol to access the Symbol Style dialog box. Choose the symbol you want and designate its point size and color.

See Also...

Finding and Displaying a Selected Object

Maps


Find Dialog Box (Second Dialog Box)

Use the Find dialog box (second dialog box) to specify what you want to look for.

First column name

Allows you to enter the name of the object or address you are searching for. The name of the column that you specified in the first Find dialog box is listed to the left of the box. If MapInfo Professional cannot find the specified object, it prompts you with the message "Exact match not found" and displays a list of close matches that you can choose from

Second column name

If you have used the Refine option in the first dialog box, a second column name is listed in the dialog box. This is where you type the name of the refining boundary.

List box

If MapInfo Professional cannot find an exact match for the object you specified, it lists possible matches in this box. Click Up or Down to move to other pages. To choose a specific entry from the list, click on that entry.

OK

Initiates the Find.

Cancel

Cancels the Find.

Respecify

Returns you to the first Find dialog box, so you can choose another table, column, or set Find options.

If the "found" object is not visible in the current Map window, MapInfo Professional positions the object in the Map window and designates the object with the symbol specified in the Find dialog box.

When the object is in the current Map window, the contents of the map does not move, but MapInfo Professional still designates the object with a symbol. When you are working with a Browser, MapInfo Professional scrolls through the Browser until the designated object is the first record in the window.

See Also...

Finding and Displaying a Selected Object

Maps


Map Print Options Dialog Box

Map Size

Window Size

When you choose Window Size, your printed map is the same size as the window on the screen. This size displays in the two text boxes associated with the Custom size option.

Fit To Page

When you choose Fit To Page, the map takes up the full printed page, even though the window may be much smaller than the page. This size displays in the two text boxes associated with the Custom size option.

Custom

When you choose Custom, you can set the size you want the map printed.

Map Contents

Allows you to print a map that contains areas not visible in the window.

Same as Window

A map that is the same as the window has the same content and proportions as the window.

Centered on Window

A map that is centered on the window may print beyond the extents of the window, depending on how you set its size, scale, and margins.

Custom Scale

Specify a custom scale. For example, one inch on the output page equals 100 miles

Custom Width

Specify the desired width of the printed map.

Height

Specify the desired height of the printed map.

When you specify a size smaller than one page, the map is centered on the page.

Custom gives the size of the printed image (width and height) in inches. You can specify a size larger than one page, and your map is automatically printed on as many pages as necessary.

Note You cannot print a map legend unless it is in a Layout.

See Also...

Printing


Symbol Style Dialog Box

Font

Choose a font from the drop-down list. The list displays the installed fonts that provide a symbol set. Choose Old MapInfo Symbols for vector symbols. Additionally, the Custom Symbols category lists those bitmaps you have created and placed in the directory as specified by Option > Preferences > Directories > Custom Symbols.

If you select Custom, the Reload button and Effects checkboxes display.

Size

Choose a size or type a different point size. The Minimum size is 1 point and the maximum size is 48 points.

Symbol

Choose a symbol from the symbol palette.

Color

Choose a color from the Color palette.

Sample

Display a sample of the symbol.

Reload

Reloads symbols from the \CustSymb directory inside the MapInfo Professional directory. If you add bitmap files to the \CustSymb directory during a MapInfo Professional session, the new bitmaps won't appear in the Symbol Style dialog box until you click Reload.

Rotation Angle

Enter the degrees of rotation that you want the symbol rotated.

Background:

None:

No background displays.

Halo:

Outline symbol with a white border.

Border:

Outline symbol with a black border.

Effects:

Show Background:

Displays the custom bitmap symbol with the background with which it was created; this background is white.

Apply Color:

Replaces all non-white bitmap pixels with the color designated from the Color palette.

If you select a font that supports Background and Effects attributes (i.e. MS Line Draw), the following categories display.

Effects:

Bold:

Draw the symbol in boldface.

Drop Shadow:

Draw a drop shadow under the symbol.

Cancel

Cancel the settings made during the dialog box session.

OK

Apply the selections. Sets the style for new symbols and changes the style of any selected symbols.

See Also...

Maps


Text Object Dialog Box

Text

The text itself displays in the text box. Once a text object has been created, you can edit it through this text box. Highlight the text and type in your changes.

Style Button

Use this button to access the Text Style dialog box. See Specifying The Font Styles Of New or Existing Text for more information.

Start X, Y

The X-Y coordinates of the upper-left corner of the text object. By changing the X and Y coordinates you can reposition the text object.

Line Spacing

Single is the default value.

Single

Choose Single when you want a single space between lines.

1.5

Choose the 1.5 option when you want one and a half spaces between lines.

Double

Choose Double when you want double spacing between lines.

Justification

Left is the default value.

Left

Choose Left when you want successive lines of text to be aligned to the left border of the text object.

Center

Choose Center when you want successive lines of text to be aligned to the center of the text object.

Right

Choose Right when you want successive lines of text to be aligned to the right border of the text object.

Label Line

The three options determine what type of label line, if any, you will have.

No line

Choose No line when you do not want a line extending to your label.

Simple line

Choose Simple line when you want a plain line extending to your label.

Arrow line

Choose Arrow line when you want an arrow at the end of your line.

Style Button

This button is active when simple or arrow line style is chosen. Use this button to access the Line Style dialog box. See Colors, patterns, and line styles for more information.

Rotation Angle

Enter the rotation angle here.


Text Object Dialog Box (Read Only)

The Text Object (Read Only) dialog box displays when the layer where the object resides in is not editable. You can view the attribute settings for the text object, but you cannot change them.

Text

The text itself displays in the text box. Once a text object has been created, you can edit it through this text box. Highlight the text and type in your changes.

Style

When you click on this button, MapInfo Professional displays the Text Style dialog box. Use this dialog box to change the font and style of your text.

Start X, Y

The X-Y coordinates of the upper-left corner of the text object.

Line Spacing

Single is the default value.

Single

Choose Single when you want a single space between lines.

1.5

Choose the 1.5 option when you want one and a half spaces between lines.

Double

Choose Double when you want double spacing between lines.

Justification

Left is the default value.

Left

Choose Left when you want successive lines of text to be aligned to the left border of the text object.

Center

Choose Center when you want successive lines of text to be aligned to the center of the text object.

Right

Choose Right when you want successive lines of text to be aligned to the right border of the text object.

Label Line

The three options determine what type of label line, if any, you will have.

No line

Choose No line when you do not want a line extending to your label.

Simple line

Choose Simple line when you want a plain line extending to your label.

Arrow line

Choose Arrow line when you want an arrow at the end of your line.

Rotation Angle

Indicates the rotation angle.


Rounded Rectangle Object Dialog Box

Bounds X1 and X2

These are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively.

Center X, Y

The coordinate values of the rectangle's center.

Width

Left-to-right distance. You use this field to set the width of the rounded rectangle.

Height

Top-to-bottom distance. You use this field to set the height of the rounded rectangle.

Corner Radius

Corner radius is measured in units appropriate to the object represented.

Style Button

Use this button to access the Line Style dialog box.


Rounded Rectangle Object Dialog Box (Read Only)

The Rounded Rectangle (Read Only) dialog box displays when the layer that the object resides in is not editable.

Bounds X1 and X2

These are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively.

Center X, Y

The coordinate values of the rectangle's center.

Width

Left-to-right distance. You use this field to set the width of the rounded rectangle.

Height

Top-to-bottom distance. You use this field to set the height of the rounded rectangle.

Corner Radius

Corner radius is measured in units appropriate to the object represented.


Rectangle Object Dialog Box

You can change the object by changing its attributes in the attribute dialog box. You might want to do this when you want to be sure of the exact location of the object. You can only change these attributes when the layer is editable. However, you can view the attributes whenever the layer is selectable.

Bounds X1, X2 and Y1, Y2

These are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively.

Center X, Y

The coordinate values of the rectangle's center.

Width

Left-to-right distance. You can use the Width box to set the width of the object.

Height

Top-to-bottom distance. You can use the Height box to set the height of the object.

Style Button

Use this button to access the Region Style dialog box.


Rectangle Object Dialog Box (Read Only)

The Rectangle Object (Read Only) dialog box displays when the layer that the object resides in is not editable.

Bounds X1, X2 and Y1, Y2

These are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively.

Center X, Y

The coordinate values of the rectangle's center.

Width

Left-to-right distance. You can use the Width box to set the unit of measure in miles, kilometers, meters, or feet.

Height

Top-to-bottom distance. You can use the Height box to set the unit of measure in miles, kilometers, meters, or feet.

Note As with all graphic objects, you can change the object by changing its attributes in the attribute dialog box. You might want to do this when you want to be sure of the exact location of the object. You can only change these attributes when the layer is editable. However, you can view the attributes whenever the layer is selectable.


Line Object Dialog Box

Start Point X, Y

Indicated by the X and Y coordinate value.

End Point X, Y

Indicated by the X and Y coordinate value.

Length

The length of the line.

Style Button

Use this button to access the Line Style dialog box.


Line Object Dialog Box (Read Only)

The Line Object Read Only dialog box displays when the layer that the object resides in is not editable.

Start Point X, Y

Indicated by the X and Y coordinate value.

End Point X, Y

Indicated by the X and Y coordinate value.

Length

The length of the line.


Ellipse Object Dialog Box

Center X and Y

The X-Y coordinates of the ellipse's center.

Radius X

The horizontal distance from the center of the ellipse to the rightmost or leftmost point.

Radius Y

The vertical distance from the center of the ellipse to the topmost or bottommost point.

Style Button

Use this button to access the Region Style dialog box.


Ellipse Object Dialog Box (Read Only)

The Read Only dialog box displays when the layer in which the object resides is not editable.

Center X and Y

The X-Y coordinates of the ellipse's center.

Radius X

The horizontal distance from the center of the ellipse to the rightmost or leftmost point.

Radius Y

The vertical distance from the center of the ellipse to the topmost or bottommost point.


Arc Object Dialog Box

Center X,Y

The center of the arc's ellipse specified in X and Y coordinates.

Radius X

The horizontal distance from the center of the arc's ellipse to the rightmost (or leftmost) point.

Radius Y

The vertical distance from the center of the arc's ellipse to the topmost (or bottommost) point.

Start Angle

The angle of the arc's starting point on its ellipse.

End Angle

The angle of the arc's end point on its ellipse. The arc is reshaped to fit the specified starting and ending angles.

Style Button

Use this button to access the Line Style dialog box.


Arc Object Dialog Box (Read Only)

The Read Only dialog box displays when the layer that the object resides in is not editable

Center X,Y

The center of the arc's ellipse specified in X and Y coordinates.

Radius X

The horizontal distance from the center of the arc's ellipse to the rightmost (or leftmost) point.

Radius Y

The vertical distance from the center of the arc's ellipse to the topmost (or bottommost) point.

Start Angle

The angle of the arc's starting point on its ellipse.

End Angle

The angle of the arc's end point on its ellipse. The arc is reshaped to fit the specified starting and ending angles.


Polyline Object Dialog Box

Use the Polyline Object dialog box to determine the polyline's location, length, line segments, and smoothness.

Bounds X1 and X2, Y1 and Y2

X1 and X2 are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively, of the polyline's minimum bounding rectangle (the smallest rectangle that can fully enclose the polyline).

Center X, Y

The coordinate of the midpoint of the middle segment or the middle node.

When there is an odd number of segments, the middle segment is defined to be segment N/2 + 1, with N equal to the number of segments. So if you had eight segments, MapInfo Professional would report the center of the fifth segment, or 8/2 + 1.

When there is an even number of segments, the middle node is defined to be N/2 + 1, with N equal to the number of segments.

Total Length

Total length of the line segments.

Line Segments

The number of segments is the total number in all sections of the polyline.

Sections

Polylines can have multiple sections.

Smooth

Check it when you want to smooth the polyline, making it into a continuous curve.

Style Button

Use this button to access the Line Style dialog box.


Polyline Object Dialog Box (Read Only)

The Polyline Object (Read Only) dialog box displays when the layer that the object resides in is not editable.

Use the Polyline Object dialog box to view the polyline's location, length, line segments, and smoothness.

Bounds X1 and X2, Y1 and Y2

X1 and X2 are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively, of the polyline's minimum bounding rectangle (the smallest rectangle that can fully enclose the polyline).

Center X, Y

The coordinate of the midpoint of the middle segment. When there is an even number of segments, the middle segment is defined to be segment N/2 + 1, with N equal to the number of segments. So if you had eight segments, MapInfo Professional would report the center of the fifth segment, or 8/2 + 1.

Total Length

Total length of the line segments.

Line Segments

The number of segments is the total number in all sections of the polyline.

Sections

Polylines can have multiple sections.


Point Object Dialog Box

Location X

Location of the point on the X-axis.

Location Y

Location of the point on the Y-axis.


Point Object Dialog Box (Read Only)

The Point Object (Read Only) dialog box displays when the layer that the object resides in is not editable.

Location X

Location of the point on the X-axis.

Location Y

Location of the point on the Y-axis.


Region Object Dialog Box

Use the Region Object dialog box to display or specify the region's location. You can also display the area and perimeter for the region, as well as the number of line segments and number of polygons making up the region.

Bounds X1 and X2, Y1 and Y2

X1 and X2 are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively, of the region's minimum bounding rectangle (the smallest rectangle that can fully enclose the region).

Center X, Y

The coordinate of the midpoint of the middle segment. When there is an even number of segments, the middle segment is defined to be segment N/2 + 1, with N equal to the number of segments. So if you had eight segments, MapInfo Professional would report the center of the fifth segment, or 8/2 + 1.

Total Area

Total area of the region in square area units (i.e. square miles, square yards etc

Total Perimeter

Total perimeter of the region in distance units (i.e. miles, meters etc

Line Segments

The number of segments is the total number in all sections of the region. Does not display when the layer that the object resides in is not editable.

Polygons

The number of polygons that make up the region.

Style

Click the Style button to access the Region Style Dialog where you can specify attribute settings for the selected region. See Colors, patterns, and line styles for more information.


Region Object Dialog Box (Read Only)

The Region Object (Read Only) dialog box displays when the layer that the object resides in is not editable.

Use the Region Object dialog box to view the region's location, length, line segments, and smoothness.

Bounds X1 and X2, Y1 and Y2

X1 and X2 are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively, of the region's minimum bounding rectangle (the smallest rectangle that can fully enclose the region).

Center X, Y

The coordinate of the midpoint of the middle segment. When there is an even number of segments, the middle segment is defined to be segment N/2 + 1, with N equal to the number of segments. So if you had eight segments, MapInfo Professional would report the center of the fifth segment, or 8/2 + 1.

Total Area

Total area of the region in square area units (i.e. square miles, square yards etc).

Total Perimeter

Total perimeter of the region in distance units (i.e. miles, meters etc).

Line Segments

The number of segments is the total number in all sections of the region. Does not display when the layer that the object resides in is not editable.

Polygons

The number of polygons that make up the region.


Toolbar Options Dialog Box

Toolbar

Lists the MapInfo ProViewer Toolbar. Highlight the Toolbar, the Show Toolbar options is checked.

Show

Check to display the selected Toolbar or clear to hide the selected Toolbar.

Floating

Check to designate the selected Toolbar as floating.

Large Buttons

To enlarge toolbar buttons so that they are easier to see, select the Large Buttons check box.

Show ToolTips

To display on-screen descriptions of toolbar buttons when the pointer pauses on them, select the Show ToolTips check box.

Color Buttons

To display colored buttons on toolbars, select the Color Buttons check box. If you are using a black-and-white monitor and want to display the buttons with more contrast, clear this check box.

Save as Default

Check this box to have the selected Toolbars and their position saved as the default.

OK

The Toolbars display or disappear from the screen; or become floating Toolbars which can be placed as Toolbars.

Cancel

Cancels the dialog box options.

See Also...

MapInfo ProViewer Toolbar


Close Table Dialog Box

The Close Table dialog box allows you to close a table when you are finished using it.

Close

Displays a list of open tables. Highlight the table(s) you want closed and click this button

Cancel

Click here to cancel your current work with the dialog box. ProViewer closes the dialog box without closing the table.

Help

Access online help.

See Also...

Tables


Page Setup Dialog Box

Enables you to changes paper size, page orientation, margins, and paper source, for the document.

Paper

Size

Use the size drop-down list to specify the size of paper or envelope that is available for your printer.

Source

Use the source drop-down list to choose the type of paper feed for your printer.

Orientation

Portrait

The largest dimension of the paper is in a vertical orientation.

Landscape

The largest dimension of the paper is in a horizontal orientation.

Margins (inches)

Inches is the default setting for margins

Left

Specifies the distance between the left edge of the page and the left end of each line with no left indent.

Right

Specifies the distance between the right edge of the page and the right end of each line with no right indent. Used when printing single-sided pages. When you select Facing Pages, this option changes to Outside.

Top

Specifies the distance between the top of the page and the top of the first line on the page.

Bottom

Specifies the distance between the bottom of the page and the bottom of the last line on the page.

See Also...

Printing


Print Dialog Box

The Print dialog box allows you to choose a printer and printer connection. You install printers and configure ports through the Windows Control Panel. For information on installing printers, see your system documentation.

Printer

Name:

Lists the printers that are set up on your computer.

Status, Type, Where, and Comment

Shows information about the selected printer.

Properties button

Click this to set up options for this printer. The options available depend on the features of the printer.

Print to File

Prints the document to a file instead of routing it to a printer. You will be prompted to specify a filename and location.

Print range

All, Pages, and Selection

Specifies whether to print the entire document, specific pages, or the selection you highlighted.

Copies

Number of Copies

Provides a space for you to type the number of copies you want to print.

Options Button

Displays the Map Print Options Dialog Box.

See Also...

Printing


Change View Dialog Box

Zoom (window width)

Allows you to specify the width of the window in the specified Distance Unit

Map scale

Allows you to specify the map scale to use for your map. A map's scale is a numerical ratio, which defines the unit of map space (Paper & Layout Units) showing a corresponding unit of the map's surface. For example, 1 inch = 20 miles, or 1 millimeter = 10 nautical miles

Center of window

Displays and allows you to change the X and Y coordinates of the Map window's center.

OK

Applies the settings you chose.

Cancel

Discards settings.

See Also...

Change View command (Map menu)

Maps


View Entire Layer Dialog Box

In the View Entire Layer dialog box, you can pick an individual layer to view or pick All Layers and view the entire map. This option is important because your map might contain layers that cover different amounts of territory.

For example, you have a map containing New York counties and highways, and ZIP Codes and streets for Utica. If you choose All Layers, ProViewer will zoom you out to see the entire map. But if you are only interested in viewing Utica streets, you should pick that layer. Then ProViewer will zoom out only as far as needed to display those streets.

Many maps, such as MapInfo's StreetInfo maps, are so large that View Entire Layer will take a long time to display when zoomed out all the way. We suggest that you use View Entire Layer, then interrupt the display of the map by pressing the <ESC> key or by pressing the right mouse-button and zoom in on the section you are interested in.

View entire layer

The View entire layer drop-down list displays a list of layers. Choose a specific layer or All layers.

See Also...

Maps


ViewPoint Control Dialog Box

Rotate Viewpoint

Click the Left mouse button to rotate the sample view in the specified direction.

Pan Viewpoint

Click the Left mouse button to pan the sample view in the specified direction.

Zoom Viewpoint Options

In

Click the Left mouse button to zoom in on the sample view.

Out

Click the Left mouse button to zoom out on the sample view.

Where am I?

Displays a sample of the active 3D Window.

Mapper View

Displays the view of the map used to create the 3D Window.

OK

Redraws the 3D Window with the specified changes.

Cancel

Returns to the 3D Window with no changes made.

Help

Displays the Help topic.

Apply

Applies the changes to the 3D Window, do not close the Viewpoint Control dialog box.

See Also...

Maps


Multipoint Object Dialog Box

You can change the object by changing its attributes in the attribute dialog box. You might want to do this when you want to be sure of the exact location of the object. You can only change these attributes when the layer is editable. However, you can view the attributes whenever the layer is selectable.

Bounds X1, X2 and Y1, Y2

These are the left and right boundaries, respectively. Y1 and Y2 are the top and bottom boundaries, respectively.

Center X, Y

The coordinate values of the rectangle's center.

Style Button

Use this button to access the Symbol Style dialog box.


Layout Zoom Dialog Box

Zoom

Type the desired percentage of zoom at which to display the layout objects.

See Also...

Layouts


Statistics Window

The Statistics window shows the number and tallies the sum and average of all numeric fields for the currently selected objects/records.

See Also...

Displaying or Hiding the Statistics Window

Statistics


Menu Commands

File Menu

Open Tables or Workspaces command (File menu)

Close Table command (File menu)

Close All command (File menu)

Page Setup command (File menu)

Print command (File menu)

Most Recently Used List 1-10 command (File menu)

Exit command (File menu)

Select Menu

Invert Selection command (Select menu)

Select All command (Select menu)

Unselect All command (Select menu)

Find command (Select menu)

Find Selection command (Select menu)

Options Menu

Show/Hide Toolbar command (Options menu)

Show/Hide Legend Window command (Options menu)

Show/Hide Statistics Window command (Options menu)

Show/Hide Status Bar command (Options menu)

Window Menu

Redraw Window command (Window menu)

Tile Windows command (Window menu)

Cascade Windows command (Window menu)

Arrange Icons command (Window menu)

List of Open Windows command (Window menu)

Help Menu

About MapInfo ProViewer command (Help menu)

MapInfo Data and Solutions for Europe command (Help menu)

MapInfo Data Products on the Web command (Help menu)

ProViewer Help Topics command (Help menu)

Map Menu

Change View command (Map menu)

Clear Cosmetic Layer command (Map menu)

Previous View command (Map menu)

View Entire Layer command (Map menu)

Get Info command (Map menu)

Turn Autoscroll Off/Turn Autoscroll On (Map menu)

3DWindow Menu

Previous View command (3DWindow menu)

View Entire Layer command (3DWindow menu)

ViewPoint Control command (3DMap menu)

Layout Menu

Change Zoom command (Layout menu)

View Actual Size command (Layout menu)

View Entire Layout command (Layout menu)

Previous View command (Layout menu)

Turn Autoscroll Off/Turn Autoscroll On (Layout menu)


Get Info command (Map menu)

What is the purpose of Get Info?

Get Info allows you to display the Object Attribute dialog boxes for a selected object (editable or read only) in a Map or Layout. Use this dialog box to view geographic attributes for an object.

When is Get Info active?

Get Info is active when:

A Map window or Layout is active and one object is selected.

How do I access Get Info?

To access Get Info:

Choose Map > Get Info. The associated object dialog box displays.


Open Tables or Workspaces command (File menu)

What is the purpose of Open Tables or Workspaces?

Open Tables or Workspaces allows you to open MapInfo Tables and MapInfo Workspaces for viewing and limited manipulation.

How do I access Open Tables or Workspaces?

To access Open Tables or Workspaces:

Choose File > Open Tables or Workspaces.

See Also...

Opening a MapInfo Professional Table

Opening Multiple Workspaces

Tables


Close Table command (File menu)

What is the purpose of Close Table?

Close Table allows you to close individual tables.

When is Close Table active?

Close Table is active when:

At least one table is open.

How do I access Close Table?

To access Close Table:

Choose File > Close Table.

See Also...

Closing a Table

Closing All Open Tables

Tables


Close All command (File menu)

What is the purpose of Close All?

Close All allows you to close all open Tables, Workspaces, and Layout windows.

When is Close All active?

Close All is active when:

At least one Table, Workspace, or Layout window is open.

How do I access Close All?

To access Close All:

Choose File > Close All.

See Also...

Closing a Table

Closing All Open Tables

Tables


Page Setup command (File menu)

What is the purpose of Page Setup?

Page Setup displays a dialog box that allows you to change margins, paper source, paper size, and page orientation for the entire printout, the current section, or for selected sections of the printout.

When is Page setup active?

Page Setup is active when:

At least one printer is installed.

How do I access Page Setup?

To access Page Setup:

Choose File > Page Setup.

See Also...

Printing

Printing the Contents of a Browser or Redistrict Window

Printing the Contents of a Graph Window

Printing the Contents of a Layout Window

Printing the Contents of a Map Window


Print command (File menu)

What is the purpose of Print?

Print allows you to print the contents of a, Browser, Redistrict, Map, Graph or Layout window.

When is Print active?

Print is active when:

A Browser, redistrict, Map, Graph, or Layout window is active.

How do I access Print?

To access Print:

Choose File > Print.

Page Setup Dialog Box

Printing

Printing the Contents of a Browser or Redistrict Window

Printing the Contents of a Graph Window

Printing the Contents of a Layout Window

Printing the Contents of a Map Window


Most Recently Used List 1-10 command (File menu)

What is the purpose of the Most Recently Used List 1, 2, 3...?

1, 2, 3... displays an alphabetical listing of all open windows. When you choose an open window, that window becomes the active window.

When is 1, 2, 3... active?

1, 2, 3... is active when:

At least one window is open.


List of Open Windows command (Window menu)

What is the purpose of the List of Open Windows List 1, 2, 3...?

1, 2, 3... displays a list of open windows in the order that they were opened. When you click a window in this list, it becomes the active window.

When is 1, 2, 3... active?

1, 2, 3... is active when:

At least one window is open.


Exit command (File menu)

What is the purpose of Exit?

Exit allows you to quit MapInfo ProViewer.

How do I access Exit?

To access Exit:

Choose File > Exit

See Also...

Exiting MapInfo ProViewer


Invert Selection command (Select menu)

How do I access Invert Selection?

To access Invert Selection:

Choose Select > Invert Selection or click on the Invert Selection button.

When is Invert Selection active?

Invert Selection is active when records and/or objects have been selected from a table.

How do I access Invert Selection?

To access Invert Selection:

Choose Select > Invert Selection.

See Also...

Inverting a Table Selection


Find command (Select menu)

What is the purpose of Find?

Find allows you to locate individual objects or addresses. When an object is located, it is marked with a symbol.

When is Find active?

Find is active when the following conditions exist:

The table contains an indexed field.

The table has graphic objects attached to the records (Mappable).

The table appears in either a Map window or Browser window.

How do I access Find?

To access Find:

Choose Select > Find.

See Also...

Finding and Displaying a Selected Object


Find Selection command (Select menu)

What is the purpose of Find Selection?

Find Selection allows you to automatically find and display a selection in all windows.

When is Find Selection active?

Find Selection is active when the following conditions exist:

A Browser window is active and at least one row is selected.

A Map window is active and at least one object is selected.

How do I access Find Selection?

To access Find Selection:

Choose Select > Find Selection.

See Also...

Finding and Displaying a Selected Object


Select All command (Select menu)

What is the purpose of Select All?

Select All allows you to select all objects from the top-most selectable layer in a Map or all rows in a Browser window.

When is Select All active?

Select All is active when one of the following conditions exist:

A Browser window is active.

A map is active, and at least one layer is selectable.

A Layout is active.

How do I access Select All?

To access Select All:

Choose Select > Select All.

See Also...

Finding and Displaying a Selected Object


Unselect All command (Select menu)

What is the purpose of Unselect All?

Unselect All allows you to unselect the currently selected objects in a map, Layout or rows in a Browser.

When is Unselect All active?

Unselect All is active when one of the following conditions exist:

At least one row in a Browser was selected.

At least one object on a map was selected.

A Layout is active, and at least one object is selected.

How do I access Unselect All?

To access Unselect All:

Choose Select > Unselect All.

See Also...

Unselecting Objects


Show/Hide Toolbar command (Options menu)

What is the purpose of Toolbars?

Show/Hide Toolbar allows you to display or hide the Toolbar. The Toolbar can be docked at the top of the window or moved to a desired location within the window.

How do I access Show/Hide Toolbar?

To access Show/Hide Toolbar:

Choose Options > Show/Hide Toolbars.

See Also...

MapInfo ProViewer Toolbar


Show/Hide Legend Window command (Options menu)

What is the purpose of Show/Hide Legend Window?

Show/Hide Legend Window allows you to display or hide the legends associated with maps or graphs.

When is Show/Hide Legend Window active?

Show/Hide Legend Window is always active. However, when there is a legend on the screen, the option reads Hide Legend Window. When there is no legend on the screen, it reads Show Legend Window.

How do I access Show/Hide Legend Window?

To access Show/Hide Legend Window:

Choose Options > Show/Hide Legend Window.

See Also...

Displaying or Hiding a Legend


Show/Hide Statistics Window command (Options menu)

What is the purpose of Show/Hide Statistics Window?

Show/Hide Statistics Window allows you to show or hide the Statistics window.

When is Show/Hide Statistics Window active?

Show/Hide Statistics Window is always active. However, when there is a Statistics window on the screen, the option reads Hide Statistics Window. When there is no Statistics window on the screen, it reads Show Statistics Window.

How do I access Show/Hide Statistics Window?

To access Show/Hide Statistics Window:

Choose Options > Show/Hide Statistics Window.

See Also...

Displaying or Hiding the Statistics Window


Show/Hide Status Bar command (Options menu)

What is the purpose of Show/Hide Status Bar?

Use Show/Hide Status Bar to display or hide the Status Bar, which is located at the bottom of the screen. The Status Bar shows messages to help you use MapInfo ProViewer. The display includes map layer editing status, zoom status, and Browser record status.

How do I access Show/Hide Status Bar?

To access Show/Hide Status Bar:

Choose Options > Status Bar.

See Also...

Displaying or Hiding the Status Bar


Redraw Window command (Window menu)

What is the purpose of Redraw Window?

Use Redraw Window to redraw the active window. This is useful when you have pressed the Esc key to interrupt the window drawing.

When switching between open windows, your map is preserved, so the entire window does not have to be redrawn.

When is Redraw Window active?

Redraw Window is active when:

A window is active.

How do I access Redraw Window?

To access Redraw Window:

Choose Window > Redraw Window.


Tile Windows command (Window menu)

What is the purpose of Tile Windows?

Use Tile Windows to arrange windows side by side so that all windows are visible.

When is Tile Windows active?

Tile Windows is active when one of the following conditions exist:

A Browser window is open.

A Map window is open.

A Graph window is open.

A Layout window is open.

A MapBasic window is open.

How do I access Tile Windows?

To access Tile Windows:

Choose Windows > Tile Windows.

See Also...

Tiling Windows


Cascade Windows command (Window menu)

What is the purpose of Cascade Windows?

Cascade Windows allows you to overlap your windows. Only the contents of the topmost window are visible and the titles of the other windows you are working with.

When is Cascade Windows active?

Cascade Windows is active when:

A Browser, Map window, Graph window, Layout window, MapBasic window or Help window is open.

How do I access Cascade Windows?

To access Cascade Windows:

Choose Window > Cascade Windows.

See Also...

Cascading Windows


Arrange Icons command (Window menu)

What is the purpose of Arrange Icons?

The Arrange Icons option orders the icons of your minimized windows so they are more accessible.

When is Arrange Icons active?

Arrange Icons is active when at least one of the following is open and in icon form (minimized):

New Browser window.

New Map window.

New Graph window.

New Redistrict window.

MapBasic window.

New Layout window.

Help window.

How do I access Arrange Icons?

To access Arrange Icons:

Choose Window > Arrange Icons.


About MapInfo ProViewer command (Help menu)

What is the purpose of About ProViewer?

The About ProViewer command allows you to display a dialog box that tells you which release of MapInfo ProViewer you are using.

How do I access About ProViewer?

To access About ProViewer:

Choose Help > About ProViewer.

To return to the previous window:

Click the OK button.

See Also...

Instructions For Using MapInfo ProViewer Help


MapInfo Data and Solutions for Europe command (Help menu)

What is the purpose of MapInfo Data and Solution for Europe?

Enables you to connect to a MapInfo Web site where you can access UK and European Data and Market Analysis Solutions.

How do I access MapInfo Data and Solution for Europe?

To access MapInfo Data and Solution for Europe:

Choose Help > MapInfo Data and Solution for Europe.

See Also...

Instructions For Using MapInfo ProViewer Help


MapInfo Data Products on the Web command (Help menu)

What is the purpose of MapInfo Data Products on the Web?

Enables you to connect to the MapInfo Express Mapping Web, the best place to buy mapping software and data products on the Internet. Here you'll find the leading products that you can purchase directly and securely.

How do I access MapInfo Data Products on the Web?

To access MapInfo Data Products on the Web:

Choose Help > MapInfo Data Products on the Web.

See Also...

Instructions For Using MapInfo ProViewer Help


ProViewer Help Topics command (Help menu)

What is the purpose of Help Topics?

Help Topics enables you to display a dialog box that contains a Contents tab, an Index tab, and a Find tab. Use the contents tab to browse through topics by category. Use the Index tab to see a list of index entries. Use the Find tab to search for words or phrases that may be contained in a Help topic.

How do I access Help Topics?

To access Help Topics:

Choose Help > Help Topics

Note For complete instructions on how to use Windows Help, press the F1 key while a Help window is active.

See Also...

Instructions For Using MapInfo ProViewer Help


Change View command (Map menu)

What is the purpose of Change View?

Change View allows you to access the Change View dialog box. Use this dialog box to specify settings for Map window width (zoom) , map scale, map resizing, and centering your map. The settings you specify are displayed in the Status Bar.

When is Change View active?

Change View is active when:

A Map window is active.

How do I access the Change View dialog box?

To access the Change View dialog box do one of the following:

Choose Map > Change View or click the Change View button in the MapInfo ProViewer Toolbar.

See Also...

Scaling and Positioning a Map


Clear Cosmetic Layer command (Map menu)

What is the purpose of Clear Cosmetic Layer?

The Clear Cosmetic Layer command allows you to clear all objects (graphics and text) from the cosmetic layer.

When is Clear Cosmetic Layer active?

Clear Cosmetic layer is active when the following conditions exist:

A Map window is active.

Labels or objects reside in the Cosmetic layer.

How do I access Clear Cosmetic layer?

To access Clear Cosmetic Layer:

Choose Map > Clear Cosmetic Layer.

See Also...

Removing All Objects from the Cosmetic Layer


Turn Autoscroll Off/Turn Autoscroll On (Map menu)

What is the purpose of the Autoscroll Off/On option?

When Autoscroll is on and you move the mouse cursor away from the starting point, the document starts to scroll in the direction you move the mouse in Map windows. When the cursor returns to the starting point, scrolling stops. You can turn off AutoScroll using the Map menu option or by changing the focus of MapInfo ProViewer (when you ALT-TAB to another application).

When is Turn Autoscroll Off/On active?

A map window is active.

How do I access Turn Autoscroll Off/On?

Choose Map > Turn Autoscroll Off

Choose Map > Turn Autoscroll On


Turn Autoscroll Off/Turn Autoscroll On (Layout menu)

What is the purpose of the Autoscroll Off/On option?

When Autoscroll is on and you move the mouse cursor away from the starting point, the document starts to scroll in the direction you move the mouse in Layout windows. When the cursor returns to the starting point, scrolling stops. You can turn off AutoScroll using the Map menu option or by changing the focus of MapInfo ProViewer (when you ALT-TAB to another application).

When is Turn Autoscroll Off/On active?

A layout window is active.

How do I access Turn Autoscroll Off/On?

Choose Layout > Turn Autoscroll Off

Choose Layout > Turn Autoscroll On


Previous View command (Map menu)

What is the purpose of Previous View?

Previous View allows you to return to a map or layouts immediately preceding view.

When is Previous View active?

Previous View is active when the following conditions exist:

A Map or Layout window is active.

The view has been changed.

How do I access Previous View?

To access Previous View:

Choose Map > Previous View

or,

Choose Layout > Previous View.

See Also...

Viewing a Previous Map or Layout


View Entire Layer command (Map menu)

What is the purpose of View Entire Layer?

View Entire Layer allows you to zoom and display an entire layer or all layers in a map. You may want to get a map positioned in the Map window, or to reorient yourself.

When is View Entire Layer active?

View Entire Layer is made active when:

A Map window is active.

How do I access View Entire Layer?

To access View Entire Layer:

Choose Map > View Entire Layer.

See Also...

Displaying the Entire Map or Map Layer


Previous View command (3DWindow menu)

What is the purpose of Previous View?

Previous View allows you to return to the previous view of your 3DMap.

When is Previous View Active?

Previous View is made active when:

A 3DMap window is active.

How do I access Previous View?

To access Properties:

Choose 3DWindow > Previous View.

See Also...

Displaying the Entire Map or Map Layer

Viewing a Previous Map or Layout


View Entire Layer command (3DWindow menu)

What is the purpose of View Entire Layer?

The View Entire Layer command allows you to recenter the grid in the window when you zoom or pan the object off the screen.

When is View Entire Layer Active?

View Entire Layer is made active when:

A 3DWindow window is active.

How do I access View Entire Layer?

To access View Entire Layer:

Choose 3DWindow > View Entire Grid.

See Also...

Displaying the Entire Map or Map Layer

Viewing a Previous Map or Layout


ViewPoint Control command (3DMap menu)

What is the purpose of ViewPoint Control?

ViewPoint Control displays a dialog box, which allows you to rotate, pan, zoom, or view the map used to create a 3DMap.

When is ViewPoint Control Active?

Viewpoint Control is made active when:

A 3DMap window is active

How do I access ViewPoint Control?

To access ViewPoint Control:

Choose 3DWindow > ViewPoint Control.

See Also...

ViewPoint Control Dialog Box


Change Zoom command (Layout menu)

What is the purpose of Change Zoom?

Change Zoom allows you to display the magnification factor at which the Layout is currently being displayed and specify a desired zoom level.

When is Change Zoom active?

Change Zoom is active when:

A Layout is the active window.

How do I access Change Zoom?

To access Change Zoom:

Choose Layout > Change Zoom.

See Also...

Specifying a Zoom Level in a Layout

Zooming In on a Map or Layout

Zooming Out on a Map or Layout


View Actual Size command (Layout menu)

What is the purpose of View Actual Size?

View Actual Size allows you to display the Layout so that objects appear at their actual size. An objects actual size is the size of the objects when printed.

When is View Actual Size active?

View Actual Size is active when:

A Layout window is active.

How do I access View Actual Size?

To access View Actual Size:

Choose Layout > View Actual Size.

See Also...

Layouts


View Entire Layout command (Layout menu)

What is the purpose of View Entire Layout?

View Entire Layout allows you to zoom out so all pages in the layout window are displayed.

How is View Entire Layout active?

View Entire Layout is active when:

A Layout window is active.

How do I access View Entire Layout?

To access View Entire Layout:

Choose Layout > View Entire Layout.

See Also...

Layouts


Previous View command (Layout menu)

What is the purpose of Previous View?

Previous View allows you to return to a map's immediately preceding view.

When is Previous View active?

Previous View is active when the following conditions exist:

A Map or Layout window is active.

The view has been changed.

How do I access Previous View?

To access Previous View:

Choose Map > Previous View

or,

Choose Layout > Previous View.

See Also...

Viewing a Previous Map or Layout


ProViewer Use Notes

  1. You cannot view or change a projection.
  2. You cannot view or change metadata.
  3. The only way to close a window (Map, Browser, Layout, etc.) is to close the table (File > Close Table, File > Close All).
  4. If a workspace includes a Message window, it will not display in ProViewer.
  5. You must have local access to any custom fonts, symbols, or line styles from MapInfo Professional that a table or a workspace references.
  6. You cannot refresh linked tables, although ProViewer can display the copies of the records contained in the local table.
  7. As in MapInfo Professional, printing to Hewlett Packard PCL printers, which includes LaserJets and ColorJets, may result in incorrect output using the default printer settings. The following settings need to be changed:

    8. Under Printer Properties > Device Settings > Page Protection should be turned ON, and the printer memory setting may have to be increased. The driver, by default, does not know how much memory is in your printer. If Page Protection is not turned on, the printer may abort the print operation. Part of the page will be missing from the output as a result.

    Under Document Defaults > Advanced > Document Options, Print Text as Graphics should be turned ON. Without this setting, halo fonts may print incorrectly with the white background covering the black foreground text.

Note These settings are for Windows NT 4.0. The settings may differ for NT 3.51 and Windows 95.

  1. In ProViewer, you cannot drag a legend into a Word document unless the legend was embedded in the Map window with MapInfo Professional.
  2. ProViewer provides no ability to change distance units.
  3. When you open more than one table, ProViewer always maps them in separate Map windows. The only way to combine multiple tables into a single Map window is to create a workspace using MapInfo Professional and then open the workspace in ProViewer.
  4. The MapShell program that comes with ProViewer provides the ability to embed a map in a Word document and interact with the map. This version of the program, however, does not have all the capability as the version that comes with MapInfo Professional or MapInfo RunTime. In addition, the version of MapShell that ProViewer uses depends on whether you also have MapInfo Professional or MapInfo RunTime installed on your system. Each circumstance is explained below:

    5. If MapInfo Professional and ProViewer are on the same system, the version of MapShell that comes with MapInfo Professional takes control.

    If you uninstall MapInfo Professional, the version of MapShell that comes with ProViewer takes control.

    If MapInfo RunTime and ProViewer are on the same system, the version of MapShell that comes with MapInfo RunTime takes control.

    If you uninstall MapInfo RunTime, MapShell is disabled until you reinstall ProViewer or rename MapShell.DRV to MapShell.EXE and explicitly run it.

  5. There is no way to associate .TAB or .WOR files to ProViewer so that if you click on them, ProViewer will automatically start and open them.
  6. You can rearrange columns in a Browser by clicking on the column title and dragging the column to a new position.
  7. If multiple tables are selected for opening in the Open Table dialog, and during the open table operation one of the tables fails to open, none of the subsequent tables in the sequence will open.
  8. As in MapInfo Professional, when ProViewer encounters an error during the opening of a workspace, the open operation stops.
  9. As in MapInfo Professional, you cannot drag a Map window from ProViewer into PowerPoint for Office 97. It works in PowerPoint 95.
  10. The Select tool does nothing in the Layout window.
  11. If you create a duplicate of a Map window with the Drag and Drop tool, you can close the duplicated window with the Windows Close button (upper right corner of the window).
  12. If the layers of a workspace are unselectable in MapInfo Professional, when the workspace is opened in ProViewer the Info tool will not display any information on those layers.
  13. If a pull-down menu contains no options, the word "Empty" will display when the menu is selected.


Glossary

This section contains a list of terms we use to describe ProViewer features and capabilities.

Term
Definition

Browser

A window for viewing a table (or a database, a spreadsheet, or a text file) in tabular form.

Coordinate

An X,Y location in a Cartesian coordinate system or Longitude/Latitude location in an earth coordinate system. Coordinate systems represent locations on a map relative to other locations. Earth coordinate systems may use the Equator and the Greenwich Prime Meridian as fixed reference points. Plane coordinate systems describe a two-dimensional X,Y location in terms of distance from a fixed reference point and are usually in the first quadrant so that all coordinates are positive.

Degrees of Longitude,
Degrees of Latitude, and
Decimal Degrees

Degrees (longitude and latitude) are coordinates used to represent locations on the surface of the Earth. Longitude (or X coordinate) represents a location's east-west position, where any location west of the Prime Meridian has a negative X value. Latitude (or Y coordinate), represents a location's north-south position, where any location south of the Equator has a negative Y value.

Field

A field in a table corresponds to a column in a Browser. A field contains a specific type of information about an object, such as:

  • Name
  • Abbreviation
  • Land Area
  • Price
  • Population etc.

The record for each object consists of the object's values for each of the fields in the database.

Graticule

A grid of horizontal (latitude) and vertical (longitude) lines that display on an Earth map spaced at a regular distance (for example, every five degrees, every fifteen degrees). Used to establish a frame of reference.

Latitude

The horizontal lines on a map that increase from 0 degrees at the Equator to 90 degrees at both North (+90.0 degrees) and South (-90.0 degrees) Poles. Used to describe the north-south position of a point as measured usually in degrees/minutes/seconds or decimal degrees above or below the Equator.

Legend

The part of a map that explains the meanings of different colors, shapes, or fill patterns used on a map. A legend can also include a scale.

Longitude

The vertical lines on a map that run from the North to the South Poles, used to describe the east-west position of a point. The position is reported as the number of degrees East (0 to -180.0 degrees) or West (0 to +180.0 degrees) of the Prime Meridian (0 degrees). Lines of Longitude are farthest apart at the Equator and intersect at both Poles, and therefore are not parallel.

Map Scale

A statement of a measure of the map and the equivalent measure on the earth. Often expressed as a representative ratio of distance, such as 1:10,000. This means that one unit of distance on the map (for example, 1 inch) represents 10,000 of the same units of distance on the earth.

Map Window

A window that allows you to view a table as a map.

Node

An endpoint of a line object, or an endpoint of a line segment which is part of a polyline or region object.

Raster

A type of computerized picture consisting of row after row of tiny dots (pixels). Raster images are sometimes known as bitmaps. Aerial photographs and satellite imagery are common types of raster data found in GIS. A computer image can be represented in raster format or in vector format.

Record

All the information about one object in a database or a table. A record in a table corresponds to a row in a Browser.

Selection

A data item or set of data items chosen for inspection and/or analysis. In Browsers, and in Map windows, items can be placed in the selection set by clicking on them individually. Map windows also have special tools for selecting multiple items on a spatial basis.

Status Bar

A bar at the bottom of the screen that displays messages that help in using MapInfo ProViewer.

Table

MapInfo information databases are organized as tables. Tables are made up of rows and columns. Each row contains information about a particular geographic feature, event, etc. Each column contains a particular kind of information about the items in the table. MapInfo tables can contain graphic objects representing geographic objects. Such tables can display as maps.

Toolbars

MapInfo windows that contain a variety of buttons used to access tools and commands for mapping and drawing.

Vector

A coordinate-based data structure commonly used to represent map features. Each object is represented as a list of sequential x,y coordinates. Attributes may be associated with the objects. A computer image can be represented in vector format or in raster format.

Workspace

A saved configuration of open MapInfo tables and windows.

Zoom Layering

A setting that determines the range (for example, 0 - 3 miles, 2 - 5 miles, etc.) at which a layer is visible in a Map window.